# -*- coding: utf-8 -*-
# taken from /usr/include/X11/keysymdef.h

XK_KEYSYM_SYMBOLS = {
    'space': ' ',  # SPACE
    'exclam': '!',  # EXCLAMATION MARK
    'quotedbl': '\"',  # QUOTATION MARK
    'numbersign': '#',  # NUMBER SIGN
    'dollar': '$',  # DOLLAR SIGN
    'percent': '%',  # PERCENT SIGN
    'ampersand': '&',  # AMPERSAND
    'apostrophe': '\'',  # APOSTROPHE
    'parenleft': '(',  # LEFT PARENTHESIS
    'parenright': ')',  # RIGHT PARENTHESIS
    'asterisk': '*',  # ASTERISK
    'plus': '+',  # PLUS SIGN
    'comma': ',',  # COMMA
    'minus': '-',  # HYPHEN-MINUS
    'period': '.',  # FULL STOP
    'slash': '/',  # SOLIDUS
    '0': '0',  # DIGIT ZERO
    '1': '1',  # DIGIT ONE
    '2': '2',  # DIGIT TWO
    '3': '3',  # DIGIT THREE
    '4': '4',  # DIGIT FOUR
    '5': '5',  # DIGIT FIVE
    '6': '6',  # DIGIT SIX
    '7': '7',  # DIGIT SEVEN
    '8': '8',  # DIGIT EIGHT
    '9': '9',  # DIGIT NINE
    'colon': ':',  # COLON
    'semicolon': ';',  # SEMICOLON
    'less': '<',  # LESS-THAN SIGN
    'equal': '=',  # EQUALS SIGN
    'greater': '>',  # GREATER-THAN SIGN
    'question': '?',  # QUESTION MARK
    'at': '@',  # COMMERCIAL AT
    'A': 'A',  # LATIN CAPITAL LETTER A
    'B': 'B',  # LATIN CAPITAL LETTER B
    'C': 'C',  # LATIN CAPITAL LETTER C
    'D': 'D',  # LATIN CAPITAL LETTER D
    'E': 'E',  # LATIN CAPITAL LETTER E
    'F': 'F',  # LATIN CAPITAL LETTER F
    'G': 'G',  # LATIN CAPITAL LETTER G
    'H': 'H',  # LATIN CAPITAL LETTER H
    'I': 'I',  # LATIN CAPITAL LETTER I
    'J': 'J',  # LATIN CAPITAL LETTER J
    'K': 'K',  # LATIN CAPITAL LETTER K
    'L': 'L',  # LATIN CAPITAL LETTER L
    'M': 'M',  # LATIN CAPITAL LETTER M
    'N': 'N',  # LATIN CAPITAL LETTER N
    'O': 'O',  # LATIN CAPITAL LETTER O
    'P': 'P',  # LATIN CAPITAL LETTER P
    'Q': 'Q',  # LATIN CAPITAL LETTER Q
    'R': 'R',  # LATIN CAPITAL LETTER R
    'S': 'S',  # LATIN CAPITAL LETTER S
    'T': 'T',  # LATIN CAPITAL LETTER T
    'U': 'U',  # LATIN CAPITAL LETTER U
    'V': 'V',  # LATIN CAPITAL LETTER V
    'W': 'W',  # LATIN CAPITAL LETTER W
    'X': 'X',  # LATIN CAPITAL LETTER X
    'Y': 'Y',  # LATIN CAPITAL LETTER Y
    'Z': 'Z',  # LATIN CAPITAL LETTER Z
    'bracketleft': '[',  # LEFT SQUARE BRACKET
    'backslash': '\\',  # REVERSE SOLIDUS
    'bracketright': ']',  # RIGHT SQUARE BRACKET
    'asciicircum': '^',  # CIRCUMFLEX ACCENT
    'underscore': '_',  # LOW LINE
    'grave': '`',  # GRAVE ACCENT
    'a': 'a',  # LATIN SMALL LETTER A
    'b': 'b',  # LATIN SMALL LETTER B
    'c': 'c',  # LATIN SMALL LETTER C
    'd': 'd',  # LATIN SMALL LETTER D
    'e': 'e',  # LATIN SMALL LETTER E
    'f': 'f',  # LATIN SMALL LETTER F
    'g': 'g',  # LATIN SMALL LETTER G
    'h': 'h',  # LATIN SMALL LETTER H
    'i': 'i',  # LATIN SMALL LETTER I
    'j': 'j',  # LATIN SMALL LETTER J
    'k': 'k',  # LATIN SMALL LETTER K
    'l': 'l',  # LATIN SMALL LETTER L
    'm': 'm',  # LATIN SMALL LETTER M
    'n': 'n',  # LATIN SMALL LETTER N
    'o': 'o',  # LATIN SMALL LETTER O
    'p': 'p',  # LATIN SMALL LETTER P
    'q': 'q',  # LATIN SMALL LETTER Q
    'r': 'r',  # LATIN SMALL LETTER R
    's': 's',  # LATIN SMALL LETTER S
    't': 't',  # LATIN SMALL LETTER T
    'u': 'u',  # LATIN SMALL LETTER U
    'v': 'v',  # LATIN SMALL LETTER V
    'w': 'w',  # LATIN SMALL LETTER W
    'x': 'x',  # LATIN SMALL LETTER X
    'y': 'y',  # LATIN SMALL LETTER Y
    'z': 'z',  # LATIN SMALL LETTER Z
    'braceleft': '{',  # LEFT CURLY BRACKET
    'bar': '|',  # VERTICAL LINE
    'braceright': '}',  # RIGHT CURLY BRACKET
    'asciitilde': '~',  # TILDE
    'nobreakspace': ' ',  # NO-BREAK SPACE
    'exclamdown': '¡',  # INVERTED EXCLAMATION MARK
    'cent': '¢',  # CENT SIGN
    'sterling': '£',  # POUND SIGN
    'currency': '¤',  # CURRENCY SIGN
    'yen': '¥',  # YEN SIGN
    'brokenbar': '¦',  # BROKEN BAR
    'section': '§',  # SECTION SIGN
    'diaeresis': '¨',  # DIAERESIS
    'copyright': '©',  # COPYRIGHT SIGN
    'ordfeminine': 'ª',  # FEMININE ORDINAL INDICATOR
    'guillemotleft': '«',  # LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
    'notsign': '¬',  # NOT SIGN
    'hyphen': '­',  # SOFT HYPHEN
    'registered': '®',  # REGISTERED SIGN
    'macron': '¯',  # MACRON
    'degree': '°',  # DEGREE SIGN
    'plusminus': '±',  # PLUS-MINUS SIGN
    'twosuperior': '²',  # SUPERSCRIPT TWO
    'threesuperior': '³',  # SUPERSCRIPT THREE
    'acute': '´',  # ACUTE ACCENT
    'mu': 'µ',  # MICRO SIGN
    'paragraph': '¶',  # PILCROW SIGN
    'periodcentered': '·',  # MIDDLE DOT
    'cedilla': '¸',  # CEDILLA
    'onesuperior': '¹',  # SUPERSCRIPT ONE
    'masculine': 'º',  # MASCULINE ORDINAL INDICATOR
    'guillemotright': '»',  # RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
    'onequarter': '¼',  # VULGAR FRACTION ONE QUARTER
    'onehalf': '½',  # VULGAR FRACTION ONE HALF
    'threequarters': '¾',  # VULGAR FRACTION THREE QUARTERS
    'questiondown': '¿',  # INVERTED QUESTION MARK
    'Agrave': 'À',  # LATIN CAPITAL LETTER A WITH GRAVE
    'Aacute': 'Á',  # LATIN CAPITAL LETTER A WITH ACUTE
    'Acircumflex': 'Â',  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX
    'Atilde': 'Ã',  # LATIN CAPITAL LETTER A WITH TILDE
    'Adiaeresis': 'Ä',  # LATIN CAPITAL LETTER A WITH DIAERESIS
    'Aring': 'Å',  # LATIN CAPITAL LETTER A WITH RING ABOVE
    'AE': 'Æ',  # LATIN CAPITAL LETTER AE
    'Ccedilla': 'Ç',  # LATIN CAPITAL LETTER C WITH CEDILLA
    'Egrave': 'È',  # LATIN CAPITAL LETTER E WITH GRAVE
    'Eacute': 'É',  # LATIN CAPITAL LETTER E WITH ACUTE
    'Ecircumflex': 'Ê',  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX
    'Ediaeresis': 'Ë',  # LATIN CAPITAL LETTER E WITH DIAERESIS
    'Igrave': 'Ì',  # LATIN CAPITAL LETTER I WITH GRAVE
    'Iacute': 'Í',  # LATIN CAPITAL LETTER I WITH ACUTE
    'Icircumflex': 'Î',  # LATIN CAPITAL LETTER I WITH CIRCUMFLEX
    'Idiaeresis': 'Ï',  # LATIN CAPITAL LETTER I WITH DIAERESIS
    'ETH': 'Ð',  # LATIN CAPITAL LETTER ETH
    'Ntilde': 'Ñ',  # LATIN CAPITAL LETTER N WITH TILDE
    'Ograve': 'Ò',  # LATIN CAPITAL LETTER O WITH GRAVE
    'Oacute': 'Ó',  # LATIN CAPITAL LETTER O WITH ACUTE
    'Ocircumflex': 'Ô',  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX
    'Otilde': 'Õ',  # LATIN CAPITAL LETTER O WITH TILDE
    'Odiaeresis': 'Ö',  # LATIN CAPITAL LETTER O WITH DIAERESIS
    'multiply': '×',  # MULTIPLICATION SIGN
    'Oslash': 'Ø',  # LATIN CAPITAL LETTER O WITH STROKE
    'Ooblique': 'Ø',  # LATIN CAPITAL LETTER O WITH STROKE
    'Ugrave': 'Ù',  # LATIN CAPITAL LETTER U WITH GRAVE
    'Uacute': 'Ú',  # LATIN CAPITAL LETTER U WITH ACUTE
    'Ucircumflex': 'Û',  # LATIN CAPITAL LETTER U WITH CIRCUMFLEX
    'Udiaeresis': 'Ü',  # LATIN CAPITAL LETTER U WITH DIAERESIS
    'Yacute': 'Ý',  # LATIN CAPITAL LETTER Y WITH ACUTE
    'THORN': 'Þ',  # LATIN CAPITAL LETTER THORN
    'ssharp': 'ß',  # LATIN SMALL LETTER SHARP S
    'agrave': 'à',  # LATIN SMALL LETTER A WITH GRAVE
    'aacute': 'á',  # LATIN SMALL LETTER A WITH ACUTE
    'acircumflex': 'â',  # LATIN SMALL LETTER A WITH CIRCUMFLEX
    'atilde': 'ã',  # LATIN SMALL LETTER A WITH TILDE
    'adiaeresis': 'ä',  # LATIN SMALL LETTER A WITH DIAERESIS
    'aring': 'å',  # LATIN SMALL LETTER A WITH RING ABOVE
    'ae': 'æ',  # LATIN SMALL LETTER AE
    'ccedilla': 'ç',  # LATIN SMALL LETTER C WITH CEDILLA
    'egrave': 'è',  # LATIN SMALL LETTER E WITH GRAVE
    'eacute': 'é',  # LATIN SMALL LETTER E WITH ACUTE
    'ecircumflex': 'ê',  # LATIN SMALL LETTER E WITH CIRCUMFLEX
    'ediaeresis': 'ë',  # LATIN SMALL LETTER E WITH DIAERESIS
    'igrave': 'ì',  # LATIN SMALL LETTER I WITH GRAVE
    'iacute': 'í',  # LATIN SMALL LETTER I WITH ACUTE
    'icircumflex': 'î',  # LATIN SMALL LETTER I WITH CIRCUMFLEX
    'idiaeresis': 'ï',  # LATIN SMALL LETTER I WITH DIAERESIS
    'eth': 'ð',  # LATIN SMALL LETTER ETH
    'ntilde': 'ñ',  # LATIN SMALL LETTER N WITH TILDE
    'ograve': 'ò',  # LATIN SMALL LETTER O WITH GRAVE
    'oacute': 'ó',  # LATIN SMALL LETTER O WITH ACUTE
    'ocircumflex': 'ô',  # LATIN SMALL LETTER O WITH CIRCUMFLEX
    'otilde': 'õ',  # LATIN SMALL LETTER O WITH TILDE
    'odiaeresis': 'ö',  # LATIN SMALL LETTER O WITH DIAERESIS
    'division': '÷',  # DIVISION SIGN
    'oslash': 'ø',  # LATIN SMALL LETTER O WITH STROKE
    'ooblique': 'ø',  # LATIN SMALL LETTER O WITH STROKE
    'ugrave': 'ù',  # LATIN SMALL LETTER U WITH GRAVE
    'uacute': 'ú',  # LATIN SMALL LETTER U WITH ACUTE
    'ucircumflex': 'û',  # LATIN SMALL LETTER U WITH CIRCUMFLEX
    'udiaeresis': 'ü',  # LATIN SMALL LETTER U WITH DIAERESIS
    'yacute': 'ý',  # LATIN SMALL LETTER Y WITH ACUTE
    'thorn': 'þ',  # LATIN SMALL LETTER THORN
    'ydiaeresis': 'ÿ',  # LATIN SMALL LETTER Y WITH DIAERESIS
    'Aogonek': 'Ą',  # LATIN CAPITAL LETTER A WITH OGONEK
    'breve': '˘',  # BREVE
    'Lstroke': 'Ł',  # LATIN CAPITAL LETTER L WITH STROKE
    'Lcaron': 'Ľ',  # LATIN CAPITAL LETTER L WITH CARON
    'Sacute': 'Ś',  # LATIN CAPITAL LETTER S WITH ACUTE
    'Scaron': 'Š',  # LATIN CAPITAL LETTER S WITH CARON
    'Scedilla': 'Ş',  # LATIN CAPITAL LETTER S WITH CEDILLA
    'Tcaron': 'Ť',  # LATIN CAPITAL LETTER T WITH CARON
    'Zacute': 'Ź',  # LATIN CAPITAL LETTER Z WITH ACUTE
    'Zcaron': 'Ž',  # LATIN CAPITAL LETTER Z WITH CARON
    'Zabovedot': 'Ż',  # LATIN CAPITAL LETTER Z WITH DOT ABOVE
    'aogonek': 'ą',  # LATIN SMALL LETTER A WITH OGONEK
    'ogonek': '˛',  # OGONEK
    'lstroke': 'ł',  # LATIN SMALL LETTER L WITH STROKE
    'lcaron': 'ľ',  # LATIN SMALL LETTER L WITH CARON
    'sacute': 'ś',  # LATIN SMALL LETTER S WITH ACUTE
    'caron': 'ˇ',  # CARON
    'scaron': 'š',  # LATIN SMALL LETTER S WITH CARON
    'scedilla': 'ş',  # LATIN SMALL LETTER S WITH CEDILLA
    'tcaron': 'ť',  # LATIN SMALL LETTER T WITH CARON
    'zacute': 'ź',  # LATIN SMALL LETTER Z WITH ACUTE
    'doubleacute': '˝',  # DOUBLE ACUTE ACCENT
    'zcaron': 'ž',  # LATIN SMALL LETTER Z WITH CARON
    'zabovedot': 'ż',  # LATIN SMALL LETTER Z WITH DOT ABOVE
    'Racute': 'Ŕ',  # LATIN CAPITAL LETTER R WITH ACUTE
    'Abreve': 'Ă',  # LATIN CAPITAL LETTER A WITH BREVE
    'Lacute': 'Ĺ',  # LATIN CAPITAL LETTER L WITH ACUTE
    'Cacute': 'Ć',  # LATIN CAPITAL LETTER C WITH ACUTE
    'Ccaron': 'Č',  # LATIN CAPITAL LETTER C WITH CARON
    'Eogonek': 'Ę',  # LATIN CAPITAL LETTER E WITH OGONEK
    'Ecaron': 'Ě',  # LATIN CAPITAL LETTER E WITH CARON
    'Dcaron': 'Ď',  # LATIN CAPITAL LETTER D WITH CARON
    'Dstroke': 'Đ',  # LATIN CAPITAL LETTER D WITH STROKE
    'Nacute': 'Ń',  # LATIN CAPITAL LETTER N WITH ACUTE
    'Ncaron': 'Ň',  # LATIN CAPITAL LETTER N WITH CARON
    'Odoubleacute': 'Ő',  # LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
    'Rcaron': 'Ř',  # LATIN CAPITAL LETTER R WITH CARON
    'Uring': 'Ů',  # LATIN CAPITAL LETTER U WITH RING ABOVE
    'Udoubleacute': 'Ű',  # LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
    'Tcedilla': 'Ţ',  # LATIN CAPITAL LETTER T WITH CEDILLA
    'racute': 'ŕ',  # LATIN SMALL LETTER R WITH ACUTE
    'abreve': 'ă',  # LATIN SMALL LETTER A WITH BREVE
    'lacute': 'ĺ',  # LATIN SMALL LETTER L WITH ACUTE
    'cacute': 'ć',  # LATIN SMALL LETTER C WITH ACUTE
    'ccaron': 'č',  # LATIN SMALL LETTER C WITH CARON
    'eogonek': 'ę',  # LATIN SMALL LETTER E WITH OGONEK
    'ecaron': 'ě',  # LATIN SMALL LETTER E WITH CARON
    'dcaron': 'ď',  # LATIN SMALL LETTER D WITH CARON
    'dstroke': 'đ',  # LATIN SMALL LETTER D WITH STROKE
    'nacute': 'ń',  # LATIN SMALL LETTER N WITH ACUTE
    'ncaron': 'ň',  # LATIN SMALL LETTER N WITH CARON
    'odoubleacute': 'ő',  # LATIN SMALL LETTER O WITH DOUBLE ACUTE
    'rcaron': 'ř',  # LATIN SMALL LETTER R WITH CARON
    'uring': 'ů',  # LATIN SMALL LETTER U WITH RING ABOVE
    'udoubleacute': 'ű',  # LATIN SMALL LETTER U WITH DOUBLE ACUTE
    'tcedilla': 'ţ',  # LATIN SMALL LETTER T WITH CEDILLA
    'abovedot': '˙',  # DOT ABOVE
    'Hstroke': 'Ħ',  # LATIN CAPITAL LETTER H WITH STROKE
    'Hcircumflex': 'Ĥ',  # LATIN CAPITAL LETTER H WITH CIRCUMFLEX
    'Iabovedot': 'İ',  # LATIN CAPITAL LETTER I WITH DOT ABOVE
    'Gbreve': 'Ğ',  # LATIN CAPITAL LETTER G WITH BREVE
    'Jcircumflex': 'Ĵ',  # LATIN CAPITAL LETTER J WITH CIRCUMFLEX
    'hstroke': 'ħ',  # LATIN SMALL LETTER H WITH STROKE
    'hcircumflex': 'ĥ',  # LATIN SMALL LETTER H WITH CIRCUMFLEX
    'idotless': 'ı',  # LATIN SMALL LETTER DOTLESS I
    'gbreve': 'ğ',  # LATIN SMALL LETTER G WITH BREVE
    'jcircumflex': 'ĵ',  # LATIN SMALL LETTER J WITH CIRCUMFLEX
    'Cabovedot': 'Ċ',  # LATIN CAPITAL LETTER C WITH DOT ABOVE
    'Ccircumflex': 'Ĉ',  # LATIN CAPITAL LETTER C WITH CIRCUMFLEX
    'Gabovedot': 'Ġ',  # LATIN CAPITAL LETTER G WITH DOT ABOVE
    'Gcircumflex': 'Ĝ',  # LATIN CAPITAL LETTER G WITH CIRCUMFLEX
    'Ubreve': 'Ŭ',  # LATIN CAPITAL LETTER U WITH BREVE
    'Scircumflex': 'Ŝ',  # LATIN CAPITAL LETTER S WITH CIRCUMFLEX
    'cabovedot': 'ċ',  # LATIN SMALL LETTER C WITH DOT ABOVE
    'ccircumflex': 'ĉ',  # LATIN SMALL LETTER C WITH CIRCUMFLEX
    'gabovedot': 'ġ',  # LATIN SMALL LETTER G WITH DOT ABOVE
    'gcircumflex': 'ĝ',  # LATIN SMALL LETTER G WITH CIRCUMFLEX
    'ubreve': 'ŭ',  # LATIN SMALL LETTER U WITH BREVE
    'scircumflex': 'ŝ',  # LATIN SMALL LETTER S WITH CIRCUMFLEX
    'kra': 'ĸ',  # LATIN SMALL LETTER KRA
    'Rcedilla': 'Ŗ',  # LATIN CAPITAL LETTER R WITH CEDILLA
    'Itilde': 'Ĩ',  # LATIN CAPITAL LETTER I WITH TILDE
    'Lcedilla': 'Ļ',  # LATIN CAPITAL LETTER L WITH CEDILLA
    'Emacron': 'Ē',  # LATIN CAPITAL LETTER E WITH MACRON
    'Gcedilla': 'Ģ',  # LATIN CAPITAL LETTER G WITH CEDILLA
    'Tslash': 'Ŧ',  # LATIN CAPITAL LETTER T WITH STROKE
    'rcedilla': 'ŗ',  # LATIN SMALL LETTER R WITH CEDILLA
    'itilde': 'ĩ',  # LATIN SMALL LETTER I WITH TILDE
    'lcedilla': 'ļ',  # LATIN SMALL LETTER L WITH CEDILLA
    'emacron': 'ē',  # LATIN SMALL LETTER E WITH MACRON
    'gcedilla': 'ģ',  # LATIN SMALL LETTER G WITH CEDILLA
    'tslash': 'ŧ',  # LATIN SMALL LETTER T WITH STROKE
    'ENG': 'Ŋ',  # LATIN CAPITAL LETTER ENG
    'eng': 'ŋ',  # LATIN SMALL LETTER ENG
    'Amacron': 'Ā',  # LATIN CAPITAL LETTER A WITH MACRON
    'Iogonek': 'Į',  # LATIN CAPITAL LETTER I WITH OGONEK
    'Eabovedot': 'Ė',  # LATIN CAPITAL LETTER E WITH DOT ABOVE
    'Imacron': 'Ī',  # LATIN CAPITAL LETTER I WITH MACRON
    'Ncedilla': 'Ņ',  # LATIN CAPITAL LETTER N WITH CEDILLA
    'Omacron': 'Ō',  # LATIN CAPITAL LETTER O WITH MACRON
    'Kcedilla': 'Ķ',  # LATIN CAPITAL LETTER K WITH CEDILLA
    'Uogonek': 'Ų',  # LATIN CAPITAL LETTER U WITH OGONEK
    'Utilde': 'Ũ',  # LATIN CAPITAL LETTER U WITH TILDE
    'Umacron': 'Ū',  # LATIN CAPITAL LETTER U WITH MACRON
    'amacron': 'ā',  # LATIN SMALL LETTER A WITH MACRON
    'iogonek': 'į',  # LATIN SMALL LETTER I WITH OGONEK
    'eabovedot': 'ė',  # LATIN SMALL LETTER E WITH DOT ABOVE
    'imacron': 'ī',  # LATIN SMALL LETTER I WITH MACRON
    'ncedilla': 'ņ',  # LATIN SMALL LETTER N WITH CEDILLA
    'omacron': 'ō',  # LATIN SMALL LETTER O WITH MACRON
    'kcedilla': 'ķ',  # LATIN SMALL LETTER K WITH CEDILLA
    'uogonek': 'ų',  # LATIN SMALL LETTER U WITH OGONEK
    'utilde': 'ũ',  # LATIN SMALL LETTER U WITH TILDE
    'umacron': 'ū',  # LATIN SMALL LETTER U WITH MACRON
    'Wcircumflex': 'Ŵ',  # LATIN CAPITAL LETTER W WITH CIRCUMFLEX
    'wcircumflex': 'ŵ',  # LATIN SMALL LETTER W WITH CIRCUMFLEX
    'Ycircumflex': 'Ŷ',  # LATIN CAPITAL LETTER Y WITH CIRCUMFLEX
    'ycircumflex': 'ŷ',  # LATIN SMALL LETTER Y WITH CIRCUMFLEX
    'Babovedot': 'Ḃ',  # LATIN CAPITAL LETTER B WITH DOT ABOVE
    'babovedot': 'ḃ',  # LATIN SMALL LETTER B WITH DOT ABOVE
    'Dabovedot': 'Ḋ',  # LATIN CAPITAL LETTER D WITH DOT ABOVE
    'dabovedot': 'ḋ',  # LATIN SMALL LETTER D WITH DOT ABOVE
    'Fabovedot': 'Ḟ',  # LATIN CAPITAL LETTER F WITH DOT ABOVE
    'fabovedot': 'ḟ',  # LATIN SMALL LETTER F WITH DOT ABOVE
    'Mabovedot': 'Ṁ',  # LATIN CAPITAL LETTER M WITH DOT ABOVE
    'mabovedot': 'ṁ',  # LATIN SMALL LETTER M WITH DOT ABOVE
    'Pabovedot': 'Ṗ',  # LATIN CAPITAL LETTER P WITH DOT ABOVE
    'pabovedot': 'ṗ',  # LATIN SMALL LETTER P WITH DOT ABOVE
    'Sabovedot': 'Ṡ',  # LATIN CAPITAL LETTER S WITH DOT ABOVE
    'sabovedot': 'ṡ',  # LATIN SMALL LETTER S WITH DOT ABOVE
    'Tabovedot': 'Ṫ',  # LATIN CAPITAL LETTER T WITH DOT ABOVE
    'tabovedot': 'ṫ',  # LATIN SMALL LETTER T WITH DOT ABOVE
    'Wgrave': 'Ẁ',  # LATIN CAPITAL LETTER W WITH GRAVE
    'wgrave': 'ẁ',  # LATIN SMALL LETTER W WITH GRAVE
    'Wacute': 'Ẃ',  # LATIN CAPITAL LETTER W WITH ACUTE
    'wacute': 'ẃ',  # LATIN SMALL LETTER W WITH ACUTE
    'Wdiaeresis': 'Ẅ',  # LATIN CAPITAL LETTER W WITH DIAERESIS
    'wdiaeresis': 'ẅ',  # LATIN SMALL LETTER W WITH DIAERESIS
    'Ygrave': 'Ỳ',  # LATIN CAPITAL LETTER Y WITH GRAVE
    'ygrave': 'ỳ',  # LATIN SMALL LETTER Y WITH GRAVE
    'OE': 'Œ',  # LATIN CAPITAL LIGATURE OE
    'oe': 'œ',  # LATIN SMALL LIGATURE OE
    'Ydiaeresis': 'Ÿ',  # LATIN CAPITAL LETTER Y WITH DIAERESIS
    'overline': '‾',  # OVERLINE
    'kana_fullstop': '。',  # IDEOGRAPHIC FULL STOP
    'kana_openingbracket': '「',  # LEFT CORNER BRACKET
    'kana_closingbracket': '」',  # RIGHT CORNER BRACKET
    'kana_comma': '、',  # IDEOGRAPHIC COMMA
    'kana_conjunctive': '・',  # KATAKANA MIDDLE DOT
    'kana_WO': 'ヲ',  # KATAKANA LETTER WO
    'kana_a': 'ァ',  # KATAKANA LETTER SMALL A
    'kana_i': 'ィ',  # KATAKANA LETTER SMALL I
    'kana_u': 'ゥ',  # KATAKANA LETTER SMALL U
    'kana_e': 'ェ',  # KATAKANA LETTER SMALL E
    'kana_o': 'ォ',  # KATAKANA LETTER SMALL O
    'kana_ya': 'ャ',  # KATAKANA LETTER SMALL YA
    'kana_yu': 'ュ',  # KATAKANA LETTER SMALL YU
    'kana_yo': 'ョ',  # KATAKANA LETTER SMALL YO
    'kana_tsu': 'ッ',  # KATAKANA LETTER SMALL TU
    'prolongedsound': 'ー',  # KATAKANA-HIRAGANA PROLONGED SOUND MARK
    'kana_A': 'ア',  # KATAKANA LETTER A
    'kana_I': 'イ',  # KATAKANA LETTER I
    'kana_U': 'ウ',  # KATAKANA LETTER U
    'kana_E': 'エ',  # KATAKANA LETTER E
    'kana_O': 'オ',  # KATAKANA LETTER O
    'kana_KA': 'カ',  # KATAKANA LETTER KA
    'kana_KI': 'キ',  # KATAKANA LETTER KI
    'kana_KU': 'ク',  # KATAKANA LETTER KU
    'kana_KE': 'ケ',  # KATAKANA LETTER KE
    'kana_KO': 'コ',  # KATAKANA LETTER KO
    'kana_SA': 'サ',  # KATAKANA LETTER SA
    'kana_SHI': 'シ',  # KATAKANA LETTER SI
    'kana_SU': 'ス',  # KATAKANA LETTER SU
    'kana_SE': 'セ',  # KATAKANA LETTER SE
    'kana_SO': 'ソ',  # KATAKANA LETTER SO
    'kana_TA': 'タ',  # KATAKANA LETTER TA
    'kana_CHI': 'チ',  # KATAKANA LETTER TI
    'kana_TSU': 'ツ',  # KATAKANA LETTER TU
    'kana_TE': 'テ',  # KATAKANA LETTER TE
    'kana_TO': 'ト',  # KATAKANA LETTER TO
    'kana_NA': 'ナ',  # KATAKANA LETTER NA
    'kana_NI': 'ニ',  # KATAKANA LETTER NI
    'kana_NU': 'ヌ',  # KATAKANA LETTER NU
    'kana_NE': 'ネ',  # KATAKANA LETTER NE
    'kana_NO': 'ノ',  # KATAKANA LETTER NO
    'kana_HA': 'ハ',  # KATAKANA LETTER HA
    'kana_HI': 'ヒ',  # KATAKANA LETTER HI
    'kana_FU': 'フ',  # KATAKANA LETTER HU
    'kana_HE': 'ヘ',  # KATAKANA LETTER HE
    'kana_HO': 'ホ',  # KATAKANA LETTER HO
    'kana_MA': 'マ',  # KATAKANA LETTER MA
    'kana_MI': 'ミ',  # KATAKANA LETTER MI
    'kana_MU': 'ム',  # KATAKANA LETTER MU
    'kana_ME': 'メ',  # KATAKANA LETTER ME
    'kana_MO': 'モ',  # KATAKANA LETTER MO
    'kana_YA': 'ヤ',  # KATAKANA LETTER YA
    'kana_YU': 'ユ',  # KATAKANA LETTER YU
    'kana_YO': 'ヨ',  # KATAKANA LETTER YO
    'kana_RA': 'ラ',  # KATAKANA LETTER RA
    'kana_RI': 'リ',  # KATAKANA LETTER RI
    'kana_RU': 'ル',  # KATAKANA LETTER RU
    'kana_RE': 'レ',  # KATAKANA LETTER RE
    'kana_RO': 'ロ',  # KATAKANA LETTER RO
    'kana_WA': 'ワ',  # KATAKANA LETTER WA
    'kana_N': 'ン',  # KATAKANA LETTER N
    'voicedsound': '゛',  # KATAKANA-HIRAGANA VOICED SOUND MARK
    'semivoicedsound': '゜',  # KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK
    'Farsi_0': '۰',  # EXTENDED ARABIC-INDIC DIGIT ZERO
    'Farsi_1': '۱',  # EXTENDED ARABIC-INDIC DIGIT ONE
    'Farsi_2': '۲',  # EXTENDED ARABIC-INDIC DIGIT TWO
    'Farsi_3': '۳',  # EXTENDED ARABIC-INDIC DIGIT THREE
    'Farsi_4': '۴',  # EXTENDED ARABIC-INDIC DIGIT FOUR
    'Farsi_5': '۵',  # EXTENDED ARABIC-INDIC DIGIT FIVE
    'Farsi_6': '۶',  # EXTENDED ARABIC-INDIC DIGIT SIX
    'Farsi_7': '۷',  # EXTENDED ARABIC-INDIC DIGIT SEVEN
    'Farsi_8': '۸',  # EXTENDED ARABIC-INDIC DIGIT EIGHT
    'Farsi_9': '۹',  # EXTENDED ARABIC-INDIC DIGIT NINE
    'Arabic_percent': '٪',  # ARABIC PERCENT SIGN
    'Arabic_superscript_alef': 'ٰ',  # ARABIC LETTER SUPERSCRIPT ALEF
    'Arabic_tteh': 'ٹ',  # ARABIC LETTER TTEH
    'Arabic_peh': 'پ',  # ARABIC LETTER PEH
    'Arabic_tcheh': 'چ',  # ARABIC LETTER TCHEH
    'Arabic_ddal': 'ڈ',  # ARABIC LETTER DDAL
    'Arabic_rreh': 'ڑ',  # ARABIC LETTER RREH
    'Arabic_comma': '،',  # ARABIC COMMA
    'Arabic_fullstop': '۔',  # ARABIC FULL STOP
    'Arabic_0': '٠',  # ARABIC-INDIC DIGIT ZERO
    'Arabic_1': '١',  # ARABIC-INDIC DIGIT ONE
    'Arabic_2': '٢',  # ARABIC-INDIC DIGIT TWO
    'Arabic_3': '٣',  # ARABIC-INDIC DIGIT THREE
    'Arabic_4': '٤',  # ARABIC-INDIC DIGIT FOUR
    'Arabic_5': '٥',  # ARABIC-INDIC DIGIT FIVE
    'Arabic_6': '٦',  # ARABIC-INDIC DIGIT SIX
    'Arabic_7': '٧',  # ARABIC-INDIC DIGIT SEVEN
    'Arabic_8': '٨',  # ARABIC-INDIC DIGIT EIGHT
    'Arabic_9': '٩',  # ARABIC-INDIC DIGIT NINE
    'Arabic_semicolon': '؛',  # ARABIC SEMICOLON
    'Arabic_question_mark': '؟',  # ARABIC QUESTION MARK
    'Arabic_hamza': 'ء',  # ARABIC LETTER HAMZA
    'Arabic_maddaonalef': 'آ',  # ARABIC LETTER ALEF WITH MADDA ABOVE
    'Arabic_hamzaonalef': 'أ',  # ARABIC LETTER ALEF WITH HAMZA ABOVE
    'Arabic_hamzaonwaw': 'ؤ',  # ARABIC LETTER WAW WITH HAMZA ABOVE
    'Arabic_hamzaunderalef': 'إ',  # ARABIC LETTER ALEF WITH HAMZA BELOW
    'Arabic_hamzaonyeh': 'ئ',  # ARABIC LETTER YEH WITH HAMZA ABOVE
    'Arabic_alef': 'ا',  # ARABIC LETTER ALEF
    'Arabic_beh': 'ب',  # ARABIC LETTER BEH
    'Arabic_tehmarbuta': 'ة',  # ARABIC LETTER TEH MARBUTA
    'Arabic_teh': 'ت',  # ARABIC LETTER TEH
    'Arabic_theh': 'ث',  # ARABIC LETTER THEH
    'Arabic_jeem': 'ج',  # ARABIC LETTER JEEM
    'Arabic_hah': 'ح',  # ARABIC LETTER HAH
    'Arabic_khah': 'خ',  # ARABIC LETTER KHAH
    'Arabic_dal': 'د',  # ARABIC LETTER DAL
    'Arabic_thal': 'ذ',  # ARABIC LETTER THAL
    'Arabic_ra': 'ر',  # ARABIC LETTER REH
    'Arabic_zain': 'ز',  # ARABIC LETTER ZAIN
    'Arabic_seen': 'س',  # ARABIC LETTER SEEN
    'Arabic_sheen': 'ش',  # ARABIC LETTER SHEEN
    'Arabic_sad': 'ص',  # ARABIC LETTER SAD
    'Arabic_dad': 'ض',  # ARABIC LETTER DAD
    'Arabic_tah': 'ط',  # ARABIC LETTER TAH
    'Arabic_zah': 'ظ',  # ARABIC LETTER ZAH
    'Arabic_ain': 'ع',  # ARABIC LETTER AIN
    'Arabic_ghain': 'غ',  # ARABIC LETTER GHAIN
    'Arabic_tatweel': 'ـ',  # ARABIC TATWEEL
    'Arabic_feh': 'ف',  # ARABIC LETTER FEH
    'Arabic_qaf': 'ق',  # ARABIC LETTER QAF
    'Arabic_kaf': 'ك',  # ARABIC LETTER KAF
    'Arabic_lam': 'ل',  # ARABIC LETTER LAM
    'Arabic_meem': 'م',  # ARABIC LETTER MEEM
    'Arabic_noon': 'ن',  # ARABIC LETTER NOON
    'Arabic_ha': 'ه',  # ARABIC LETTER HEH
    'Arabic_waw': 'و',  # ARABIC LETTER WAW
    'Arabic_alefmaksura': 'ى',  # ARABIC LETTER ALEF MAKSURA
    'Arabic_yeh': 'ي',  # ARABIC LETTER YEH
    'Arabic_fathatan': 'ً',  # ARABIC FATHATAN
    'Arabic_dammatan': 'ٌ',  # ARABIC DAMMATAN
    'Arabic_kasratan': 'ٍ',  # ARABIC KASRATAN
    'Arabic_fatha': 'َ',  # ARABIC FATHA
    'Arabic_damma': 'ُ',  # ARABIC DAMMA
    'Arabic_kasra': 'ِ',  # ARABIC KASRA
    'Arabic_shadda': 'ّ',  # ARABIC SHADDA
    'Arabic_sukun': 'ْ',  # ARABIC SUKUN
    'Arabic_madda_above': 'ٓ',  # ARABIC MADDAH ABOVE
    'Arabic_hamza_above': 'ٔ',  # ARABIC HAMZA ABOVE
    'Arabic_hamza_below': 'ٕ',  # ARABIC HAMZA BELOW
    'Arabic_jeh': 'ژ',  # ARABIC LETTER JEH
    'Arabic_veh': 'ڤ',  # ARABIC LETTER VEH
    'Arabic_keheh': 'ک',  # ARABIC LETTER KEHEH
    'Arabic_gaf': 'گ',  # ARABIC LETTER GAF
    'Arabic_noon_ghunna': 'ں',  # ARABIC LETTER NOON GHUNNA
    'Arabic_heh_doachashmee': 'ھ',  # ARABIC LETTER HEH DOACHASHMEE
    'Farsi_yeh': 'ی',  # ARABIC LETTER FARSI YEH
    'Arabic_farsi_yeh': 'ی',  # ARABIC LETTER FARSI YEH
    'Arabic_yeh_baree': 'ے',  # ARABIC LETTER YEH BARREE
    'Arabic_heh_goal': 'ہ',  # ARABIC LETTER HEH GOAL
    'Cyrillic_GHE_bar': 'Ғ',  # CYRILLIC CAPITAL LETTER GHE WITH STROKE
    'Cyrillic_ghe_bar': 'ғ',  # CYRILLIC SMALL LETTER GHE WITH STROKE
    'Cyrillic_ZHE_descender': 'Җ',  # CYRILLIC CAPITAL LETTER ZHE WITH DESCENDER
    'Cyrillic_zhe_descender': 'җ',  # CYRILLIC SMALL LETTER ZHE WITH DESCENDER
    'Cyrillic_KA_descender': 'Қ',  # CYRILLIC CAPITAL LETTER KA WITH DESCENDER
    'Cyrillic_ka_descender': 'қ',  # CYRILLIC SMALL LETTER KA WITH DESCENDER
    'Cyrillic_KA_vertstroke': 'Ҝ',  # CYRILLIC CAPITAL LETTER KA WITH VERTICAL STROKE
    'Cyrillic_ka_vertstroke': 'ҝ',  # CYRILLIC SMALL LETTER KA WITH VERTICAL STROKE
    'Cyrillic_EN_descender': 'Ң',  # CYRILLIC CAPITAL LETTER EN WITH DESCENDER
    'Cyrillic_en_descender': 'ң',  # CYRILLIC SMALL LETTER EN WITH DESCENDER
    'Cyrillic_U_straight': 'Ү',  # CYRILLIC CAPITAL LETTER STRAIGHT U
    'Cyrillic_u_straight': 'ү',  # CYRILLIC SMALL LETTER STRAIGHT U
    'Cyrillic_U_straight_bar': 'Ұ',  # CYRILLIC CAPITAL LETTER STRAIGHT U WITH STROKE
    'Cyrillic_u_straight_bar': 'ұ',  # CYRILLIC SMALL LETTER STRAIGHT U WITH STROKE
    'Cyrillic_HA_descender': 'Ҳ',  # CYRILLIC CAPITAL LETTER HA WITH DESCENDER
    'Cyrillic_ha_descender': 'ҳ',  # CYRILLIC SMALL LETTER HA WITH DESCENDER
    'Cyrillic_CHE_descender': 'Ҷ',  # CYRILLIC CAPITAL LETTER CHE WITH DESCENDER
    'Cyrillic_che_descender': 'ҷ',  # CYRILLIC SMALL LETTER CHE WITH DESCENDER
    'Cyrillic_CHE_vertstroke': 'Ҹ',  # CYRILLIC CAPITAL LETTER CHE WITH VERTICAL STROKE
    'Cyrillic_che_vertstroke': 'ҹ',  # CYRILLIC SMALL LETTER CHE WITH VERTICAL STROKE
    'Cyrillic_SHHA': 'Һ',  # CYRILLIC CAPITAL LETTER SHHA
    'Cyrillic_shha': 'һ',  # CYRILLIC SMALL LETTER SHHA
    'Cyrillic_SCHWA': 'Ә',  # CYRILLIC CAPITAL LETTER SCHWA
    'Cyrillic_schwa': 'ә',  # CYRILLIC SMALL LETTER SCHWA
    'Cyrillic_I_macron': 'Ӣ',  # CYRILLIC CAPITAL LETTER I WITH MACRON
    'Cyrillic_i_macron': 'ӣ',  # CYRILLIC SMALL LETTER I WITH MACRON
    'Cyrillic_O_bar': 'Ө',  # CYRILLIC CAPITAL LETTER BARRED O
    'Cyrillic_o_bar': 'ө',  # CYRILLIC SMALL LETTER BARRED O
    'Cyrillic_U_macron': 'Ӯ',  # CYRILLIC CAPITAL LETTER U WITH MACRON
    'Cyrillic_u_macron': 'ӯ',  # CYRILLIC SMALL LETTER U WITH MACRON
    'Serbian_dje': 'ђ',  # CYRILLIC SMALL LETTER DJE
    'Macedonia_gje': 'ѓ',  # CYRILLIC SMALL LETTER GJE
    'Cyrillic_io': 'ё',  # CYRILLIC SMALL LETTER IO
    'Ukrainian_ie': 'є',  # CYRILLIC SMALL LETTER UKRAINIAN IE
    'Macedonia_dse': 'ѕ',  # CYRILLIC SMALL LETTER DZE
    'Ukrainian_i': 'і',  # CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
    'Ukrainian_yi': 'ї',  # CYRILLIC SMALL LETTER YI
    'Cyrillic_je': 'ј',  # CYRILLIC SMALL LETTER JE
    'Cyrillic_lje': 'љ',  # CYRILLIC SMALL LETTER LJE
    'Cyrillic_nje': 'њ',  # CYRILLIC SMALL LETTER NJE
    'Serbian_tshe': 'ћ',  # CYRILLIC SMALL LETTER TSHE
    'Macedonia_kje': 'ќ',  # CYRILLIC SMALL LETTER KJE
    'Ukrainian_ghe_with_upturn': 'ґ',  # CYRILLIC SMALL LETTER GHE WITH UPTURN
    'Byelorussian_shortu': 'ў',  # CYRILLIC SMALL LETTER SHORT U
    'Cyrillic_dzhe': 'џ',  # CYRILLIC SMALL LETTER DZHE
    'numerosign': '№',  # NUMERO SIGN
    'Serbian_DJE': 'Ђ',  # CYRILLIC CAPITAL LETTER DJE
    'Macedonia_GJE': 'Ѓ',  # CYRILLIC CAPITAL LETTER GJE
    'Cyrillic_IO': 'Ё',  # CYRILLIC CAPITAL LETTER IO
    'Ukrainian_IE': 'Є',  # CYRILLIC CAPITAL LETTER UKRAINIAN IE
    'Macedonia_DSE': 'Ѕ',  # CYRILLIC CAPITAL LETTER DZE
    'Ukrainian_I': 'І',  # CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
    'Ukrainian_YI': 'Ї',  # CYRILLIC CAPITAL LETTER YI
    'Cyrillic_JE': 'Ј',  # CYRILLIC CAPITAL LETTER JE
    'Cyrillic_LJE': 'Љ',  # CYRILLIC CAPITAL LETTER LJE
    'Cyrillic_NJE': 'Њ',  # CYRILLIC CAPITAL LETTER NJE
    'Serbian_TSHE': 'Ћ',  # CYRILLIC CAPITAL LETTER TSHE
    'Macedonia_KJE': 'Ќ',  # CYRILLIC CAPITAL LETTER KJE
    'Ukrainian_GHE_WITH_UPTURN': 'Ґ',  # CYRILLIC CAPITAL LETTER GHE WITH UPTURN
    'Byelorussian_SHORTU': 'Ў',  # CYRILLIC CAPITAL LETTER SHORT U
    'Cyrillic_DZHE': 'Џ',  # CYRILLIC CAPITAL LETTER DZHE
    'Cyrillic_yu': 'ю',  # CYRILLIC SMALL LETTER YU
    'Cyrillic_a': 'а',  # CYRILLIC SMALL LETTER A
    'Cyrillic_be': 'б',  # CYRILLIC SMALL LETTER BE
    'Cyrillic_tse': 'ц',  # CYRILLIC SMALL LETTER TSE
    'Cyrillic_de': 'д',  # CYRILLIC SMALL LETTER DE
    'Cyrillic_ie': 'е',  # CYRILLIC SMALL LETTER IE
    'Cyrillic_ef': 'ф',  # CYRILLIC SMALL LETTER EF
    'Cyrillic_ghe': 'г',  # CYRILLIC SMALL LETTER GHE
    'Cyrillic_ha': 'х',  # CYRILLIC SMALL LETTER HA
    'Cyrillic_i': 'и',  # CYRILLIC SMALL LETTER I
    'Cyrillic_shorti': 'й',  # CYRILLIC SMALL LETTER SHORT I
    'Cyrillic_ka': 'к',  # CYRILLIC SMALL LETTER KA
    'Cyrillic_el': 'л',  # CYRILLIC SMALL LETTER EL
    'Cyrillic_em': 'м',  # CYRILLIC SMALL LETTER EM
    'Cyrillic_en': 'н',  # CYRILLIC SMALL LETTER EN
    'Cyrillic_o': 'о',  # CYRILLIC SMALL LETTER O
    'Cyrillic_pe': 'п',  # CYRILLIC SMALL LETTER PE
    'Cyrillic_ya': 'я',  # CYRILLIC SMALL LETTER YA
    'Cyrillic_er': 'р',  # CYRILLIC SMALL LETTER ER
    'Cyrillic_es': 'с',  # CYRILLIC SMALL LETTER ES
    'Cyrillic_te': 'т',  # CYRILLIC SMALL LETTER TE
    'Cyrillic_u': 'у',  # CYRILLIC SMALL LETTER U
    'Cyrillic_zhe': 'ж',  # CYRILLIC SMALL LETTER ZHE
    'Cyrillic_ve': 'в',  # CYRILLIC SMALL LETTER VE
    'Cyrillic_softsign': 'ь',  # CYRILLIC SMALL LETTER SOFT SIGN
    'Cyrillic_yeru': 'ы',  # CYRILLIC SMALL LETTER YERU
    'Cyrillic_ze': 'з',  # CYRILLIC SMALL LETTER ZE
    'Cyrillic_sha': 'ш',  # CYRILLIC SMALL LETTER SHA
    'Cyrillic_e': 'э',  # CYRILLIC SMALL LETTER E
    'Cyrillic_shcha': 'щ',  # CYRILLIC SMALL LETTER SHCHA
    'Cyrillic_che': 'ч',  # CYRILLIC SMALL LETTER CHE
    'Cyrillic_hardsign': 'ъ',  # CYRILLIC SMALL LETTER HARD SIGN
    'Cyrillic_YU': 'Ю',  # CYRILLIC CAPITAL LETTER YU
    'Cyrillic_A': 'А',  # CYRILLIC CAPITAL LETTER A
    'Cyrillic_BE': 'Б',  # CYRILLIC CAPITAL LETTER BE
    'Cyrillic_TSE': 'Ц',  # CYRILLIC CAPITAL LETTER TSE
    'Cyrillic_DE': 'Д',  # CYRILLIC CAPITAL LETTER DE
    'Cyrillic_IE': 'Е',  # CYRILLIC CAPITAL LETTER IE
    'Cyrillic_EF': 'Ф',  # CYRILLIC CAPITAL LETTER EF
    'Cyrillic_GHE': 'Г',  # CYRILLIC CAPITAL LETTER GHE
    'Cyrillic_HA': 'Х',  # CYRILLIC CAPITAL LETTER HA
    'Cyrillic_I': 'И',  # CYRILLIC CAPITAL LETTER I
    'Cyrillic_SHORTI': 'Й',  # CYRILLIC CAPITAL LETTER SHORT I
    'Cyrillic_KA': 'К',  # CYRILLIC CAPITAL LETTER KA
    'Cyrillic_EL': 'Л',  # CYRILLIC CAPITAL LETTER EL
    'Cyrillic_EM': 'М',  # CYRILLIC CAPITAL LETTER EM
    'Cyrillic_EN': 'Н',  # CYRILLIC CAPITAL LETTER EN
    'Cyrillic_O': 'О',  # CYRILLIC CAPITAL LETTER O
    'Cyrillic_PE': 'П',  # CYRILLIC CAPITAL LETTER PE
    'Cyrillic_YA': 'Я',  # CYRILLIC CAPITAL LETTER YA
    'Cyrillic_ER': 'Р',  # CYRILLIC CAPITAL LETTER ER
    'Cyrillic_ES': 'С',  # CYRILLIC CAPITAL LETTER ES
    'Cyrillic_TE': 'Т',  # CYRILLIC CAPITAL LETTER TE
    'Cyrillic_U': 'У',  # CYRILLIC CAPITAL LETTER U
    'Cyrillic_ZHE': 'Ж',  # CYRILLIC CAPITAL LETTER ZHE
    'Cyrillic_VE': 'В',  # CYRILLIC CAPITAL LETTER VE
    'Cyrillic_SOFTSIGN': 'Ь',  # CYRILLIC CAPITAL LETTER SOFT SIGN
    'Cyrillic_YERU': 'Ы',  # CYRILLIC CAPITAL LETTER YERU
    'Cyrillic_ZE': 'З',  # CYRILLIC CAPITAL LETTER ZE
    'Cyrillic_SHA': 'Ш',  # CYRILLIC CAPITAL LETTER SHA
    'Cyrillic_E': 'Э',  # CYRILLIC CAPITAL LETTER E
    'Cyrillic_SHCHA': 'Щ',  # CYRILLIC CAPITAL LETTER SHCHA
    'Cyrillic_CHE': 'Ч',  # CYRILLIC CAPITAL LETTER CHE
    'Cyrillic_HARDSIGN': 'Ъ',  # CYRILLIC CAPITAL LETTER HARD SIGN
    'Greek_ALPHAaccent': 'Ά',  # GREEK CAPITAL LETTER ALPHA WITH TONOS
    'Greek_EPSILONaccent': 'Έ',  # GREEK CAPITAL LETTER EPSILON WITH TONOS
    'Greek_ETAaccent': 'Ή',  # GREEK CAPITAL LETTER ETA WITH TONOS
    'Greek_IOTAaccent': 'Ί',  # GREEK CAPITAL LETTER IOTA WITH TONOS
    'Greek_IOTAdieresis': 'Ϊ',  # GREEK CAPITAL LETTER IOTA WITH DIALYTIKA
    'Greek_OMICRONaccent': 'Ό',  # GREEK CAPITAL LETTER OMICRON WITH TONOS
    'Greek_UPSILONaccent': 'Ύ',  # GREEK CAPITAL LETTER UPSILON WITH TONOS
    'Greek_UPSILONdieresis': 'Ϋ',  # GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA
    'Greek_OMEGAaccent': 'Ώ',  # GREEK CAPITAL LETTER OMEGA WITH TONOS
    'Greek_accentdieresis': '΅',  # GREEK DIALYTIKA TONOS
    'Greek_horizbar': '―',  # HORIZONTAL BAR
    'Greek_alphaaccent': 'ά',  # GREEK SMALL LETTER ALPHA WITH TONOS
    'Greek_epsilonaccent': 'έ',  # GREEK SMALL LETTER EPSILON WITH TONOS
    'Greek_etaaccent': 'ή',  # GREEK SMALL LETTER ETA WITH TONOS
    'Greek_iotaaccent': 'ί',  # GREEK SMALL LETTER IOTA WITH TONOS
    'Greek_iotadieresis': 'ϊ',  # GREEK SMALL LETTER IOTA WITH DIALYTIKA
    'Greek_iotaaccentdieresis': 'ΐ',  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS
    'Greek_omicronaccent': 'ό',  # GREEK SMALL LETTER OMICRON WITH TONOS
    'Greek_upsilonaccent': 'ύ',  # GREEK SMALL LETTER UPSILON WITH TONOS
    'Greek_upsilondieresis': 'ϋ',  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA
    'Greek_upsilonaccentdieresis': 'ΰ',  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS
    'Greek_omegaaccent': 'ώ',  # GREEK SMALL LETTER OMEGA WITH TONOS
    'Greek_ALPHA': 'Α',  # GREEK CAPITAL LETTER ALPHA
    'Greek_BETA': 'Β',  # GREEK CAPITAL LETTER BETA
    'Greek_GAMMA': 'Γ',  # GREEK CAPITAL LETTER GAMMA
    'Greek_DELTA': 'Δ',  # GREEK CAPITAL LETTER DELTA
    'Greek_EPSILON': 'Ε',  # GREEK CAPITAL LETTER EPSILON
    'Greek_ZETA': 'Ζ',  # GREEK CAPITAL LETTER ZETA
    'Greek_ETA': 'Η',  # GREEK CAPITAL LETTER ETA
    'Greek_THETA': 'Θ',  # GREEK CAPITAL LETTER THETA
    'Greek_IOTA': 'Ι',  # GREEK CAPITAL LETTER IOTA
    'Greek_KAPPA': 'Κ',  # GREEK CAPITAL LETTER KAPPA
    'Greek_LAMDA': 'Λ',  # GREEK CAPITAL LETTER LAMDA
    'Greek_LAMBDA': 'Λ',  # GREEK CAPITAL LETTER LAMDA
    'Greek_MU': 'Μ',  # GREEK CAPITAL LETTER MU
    'Greek_NU': 'Ν',  # GREEK CAPITAL LETTER NU
    'Greek_XI': 'Ξ',  # GREEK CAPITAL LETTER XI
    'Greek_OMICRON': 'Ο',  # GREEK CAPITAL LETTER OMICRON
    'Greek_PI': 'Π',  # GREEK CAPITAL LETTER PI
    'Greek_RHO': 'Ρ',  # GREEK CAPITAL LETTER RHO
    'Greek_SIGMA': 'Σ',  # GREEK CAPITAL LETTER SIGMA
    'Greek_TAU': 'Τ',  # GREEK CAPITAL LETTER TAU
    'Greek_UPSILON': 'Υ',  # GREEK CAPITAL LETTER UPSILON
    'Greek_PHI': 'Φ',  # GREEK CAPITAL LETTER PHI
    'Greek_CHI': 'Χ',  # GREEK CAPITAL LETTER CHI
    'Greek_PSI': 'Ψ',  # GREEK CAPITAL LETTER PSI
    'Greek_OMEGA': 'Ω',  # GREEK CAPITAL LETTER OMEGA
    'Greek_alpha': 'α',  # GREEK SMALL LETTER ALPHA
    'Greek_beta': 'β',  # GREEK SMALL LETTER BETA
    'Greek_gamma': 'γ',  # GREEK SMALL LETTER GAMMA
    'Greek_delta': 'δ',  # GREEK SMALL LETTER DELTA
    'Greek_epsilon': 'ε',  # GREEK SMALL LETTER EPSILON
    'Greek_zeta': 'ζ',  # GREEK SMALL LETTER ZETA
    'Greek_eta': 'η',  # GREEK SMALL LETTER ETA
    'Greek_theta': 'θ',  # GREEK SMALL LETTER THETA
    'Greek_iota': 'ι',  # GREEK SMALL LETTER IOTA
    'Greek_kappa': 'κ',  # GREEK SMALL LETTER KAPPA
    'Greek_lamda': 'λ',  # GREEK SMALL LETTER LAMDA
    'Greek_lambda': 'λ',  # GREEK SMALL LETTER LAMDA
    'Greek_mu': 'μ',  # GREEK SMALL LETTER MU
    'Greek_nu': 'ν',  # GREEK SMALL LETTER NU
    'Greek_xi': 'ξ',  # GREEK SMALL LETTER XI
    'Greek_omicron': 'ο',  # GREEK SMALL LETTER OMICRON
    'Greek_pi': 'π',  # GREEK SMALL LETTER PI
    'Greek_rho': 'ρ',  # GREEK SMALL LETTER RHO
    'Greek_sigma': 'σ',  # GREEK SMALL LETTER SIGMA
    'Greek_finalsmallsigma': 'ς',  # GREEK SMALL LETTER FINAL SIGMA
    'Greek_tau': 'τ',  # GREEK SMALL LETTER TAU
    'Greek_upsilon': 'υ',  # GREEK SMALL LETTER UPSILON
    'Greek_phi': 'φ',  # GREEK SMALL LETTER PHI
    'Greek_chi': 'χ',  # GREEK SMALL LETTER CHI
    'Greek_psi': 'ψ',  # GREEK SMALL LETTER PSI
    'Greek_omega': 'ω',  # GREEK SMALL LETTER OMEGA
    'leftradical': '⎷',  # RADICAL SYMBOL BOTTOM
    'topleftradical': '┌',  # BOX DRAWINGS LIGHT DOWN AND RIGHT)
    'horizconnector': '─',  # BOX DRAWINGS LIGHT HORIZONTAL)
    'topintegral': '⌠',  # TOP HALF INTEGRAL
    'botintegral': '⌡',  # BOTTOM HALF INTEGRAL
    'vertconnector': '│',  # BOX DRAWINGS LIGHT VERTICAL)
    'topleftsqbracket': '⎡',  # LEFT SQUARE BRACKET UPPER CORNER
    'botleftsqbracket': '⎣',  # LEFT SQUARE BRACKET LOWER CORNER
    'toprightsqbracket': '⎤',  # RIGHT SQUARE BRACKET UPPER CORNER
    'botrightsqbracket': '⎦',  # RIGHT SQUARE BRACKET LOWER CORNER
    'topleftparens': '⎛',  # LEFT PARENTHESIS UPPER HOOK
    'botleftparens': '⎝',  # LEFT PARENTHESIS LOWER HOOK
    'toprightparens': '⎞',  # RIGHT PARENTHESIS UPPER HOOK
    'botrightparens': '⎠',  # RIGHT PARENTHESIS LOWER HOOK
    'leftmiddlecurlybrace': '⎨',  # LEFT CURLY BRACKET MIDDLE PIECE
    'rightmiddlecurlybrace': '⎬',  # RIGHT CURLY BRACKET MIDDLE PIECE
    'lessthanequal': '≤',  # LESS-THAN OR EQUAL TO
    'notequal': '≠',  # NOT EQUAL TO
    'greaterthanequal': '≥',  # GREATER-THAN OR EQUAL TO
    'integral': '∫',  # INTEGRAL
    'therefore': '∴',  # THEREFORE
    'variation': '∝',  # PROPORTIONAL TO
    'infinity': '∞',  # INFINITY
    'nabla': '∇',  # NABLA
    'approximate': '∼',  # TILDE OPERATOR
    'similarequal': '≃',  # ASYMPTOTICALLY EQUAL TO
    'ifonlyif': '⇔',  # LEFT RIGHT DOUBLE ARROW
    'implies': '⇒',  # RIGHTWARDS DOUBLE ARROW
    'identical': '≡',  # IDENTICAL TO
    'radical': '√',  # SQUARE ROOT
    'includedin': '⊂',  # SUBSET OF
    'includes': '⊃',  # SUPERSET OF
    'intersection': '∩',  # INTERSECTION
    'union': '∪',  # UNION
    'logicaland': '∧',  # LOGICAL AND
    'logicalor': '∨',  # LOGICAL OR
    'partialderivative': '∂',  # PARTIAL DIFFERENTIAL
    'function': 'ƒ',  # LATIN SMALL LETTER F WITH HOOK
    'leftarrow': '←',  # LEFTWARDS ARROW
    'uparrow': '↑',  # UPWARDS ARROW
    'rightarrow': '→',  # RIGHTWARDS ARROW
    'downarrow': '↓',  # DOWNWARDS ARROW
    'soliddiamond': '◆',  # BLACK DIAMOND
    'checkerboard': '▒',  # MEDIUM SHADE
    'ht': '␉',  # SYMBOL FOR HORIZONTAL TABULATION
    'ff': '␌',  # SYMBOL FOR FORM FEED
    'cr': '␍',  # SYMBOL FOR CARRIAGE RETURN
    'lf': '␊',  # SYMBOL FOR LINE FEED
    'nl': '␤',  # SYMBOL FOR NEWLINE
    'vt': '␋',  # SYMBOL FOR VERTICAL TABULATION
    'lowrightcorner': '┘',  # BOX DRAWINGS LIGHT UP AND LEFT
    'uprightcorner': '┐',  # BOX DRAWINGS LIGHT DOWN AND LEFT
    'upleftcorner': '┌',  # BOX DRAWINGS LIGHT DOWN AND RIGHT
    'lowleftcorner': '└',  # BOX DRAWINGS LIGHT UP AND RIGHT
    'crossinglines': '┼',  # BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
    'horizlinescan1': '⎺',  # HORIZONTAL SCAN LINE-1
    'horizlinescan3': '⎻',  # HORIZONTAL SCAN LINE-3
    'horizlinescan5': '─',  # BOX DRAWINGS LIGHT HORIZONTAL
    'horizlinescan7': '⎼',  # HORIZONTAL SCAN LINE-7
    'horizlinescan9': '⎽',  # HORIZONTAL SCAN LINE-9
    'leftt': '├',  # BOX DRAWINGS LIGHT VERTICAL AND RIGHT
    'rightt': '┤',  # BOX DRAWINGS LIGHT VERTICAL AND LEFT
    'bott': '┴',  # BOX DRAWINGS LIGHT UP AND HORIZONTAL
    'topt': '┬',  # BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
    'vertbar': '│',  # BOX DRAWINGS LIGHT VERTICAL
    'emspace': ' ',  # EM SPACE
    'enspace': ' ',  # EN SPACE
    'em3space': ' ',  # THREE-PER-EM SPACE
    'em4space': ' ',  # FOUR-PER-EM SPACE
    'digitspace': ' ',  # FIGURE SPACE
    'punctspace': ' ',  # PUNCTUATION SPACE
    'thinspace': ' ',  # THIN SPACE
    'hairspace': ' ',  # HAIR SPACE
    'emdash': '—',  # EM DASH
    'endash': '–',  # EN DASH
    'signifblank': '␣',  # OPEN BOX)
    'ellipsis': '…',  # HORIZONTAL ELLIPSIS
    'doubbaselinedot': '‥',  # TWO DOT LEADER
    'onethird': '⅓',  # VULGAR FRACTION ONE THIRD
    'twothirds': '⅔',  # VULGAR FRACTION TWO THIRDS
    'onefifth': '⅕',  # VULGAR FRACTION ONE FIFTH
    'twofifths': '⅖',  # VULGAR FRACTION TWO FIFTHS
    'threefifths': '⅗',  # VULGAR FRACTION THREE FIFTHS
    'fourfifths': '⅘',  # VULGAR FRACTION FOUR FIFTHS
    'onesixth': '⅙',  # VULGAR FRACTION ONE SIXTH
    'fivesixths': '⅚',  # VULGAR FRACTION FIVE SIXTHS
    'careof': '℅',  # CARE OF
    'figdash': '‒',  # FIGURE DASH
    'leftanglebracket': '⟨',  # MATHEMATICAL LEFT ANGLE BRACKET)
    'decimalpoint': '.',  # FULL STOP)
    'rightanglebracket': '⟩',  # MATHEMATICAL RIGHT ANGLE BRACKET)
    'oneeighth': '⅛',  # VULGAR FRACTION ONE EIGHTH
    'threeeighths': '⅜',  # VULGAR FRACTION THREE EIGHTHS
    'fiveeighths': '⅝',  # VULGAR FRACTION FIVE EIGHTHS
    'seveneighths': '⅞',  # VULGAR FRACTION SEVEN EIGHTHS
    'trademark': '™',  # TRADE MARK SIGN
    'signaturemark': '☓',  # SALTIRE)
    'leftopentriangle': '◁',  # WHITE LEFT-POINTING TRIANGLE)
    'rightopentriangle': '▷',  # WHITE RIGHT-POINTING TRIANGLE)
    'emopencircle': '○',  # WHITE CIRCLE)
    'emopenrectangle': '▯',  # WHITE VERTICAL RECTANGLE)
    'leftsinglequotemark': '‘',  # LEFT SINGLE QUOTATION MARK
    'rightsinglequotemark': '’',  # RIGHT SINGLE QUOTATION MARK
    'leftdoublequotemark': '“',  # LEFT DOUBLE QUOTATION MARK
    'rightdoublequotemark': '”',  # RIGHT DOUBLE QUOTATION MARK
    'prescription': '℞',  # PRESCRIPTION TAKE
    'permille': '‰',  # PER MILLE SIGN
    'minutes': '′',  # PRIME
    'seconds': '″',  # DOUBLE PRIME
    'latincross': '✝',  # LATIN CROSS
    'filledrectbullet': '▬',  # BLACK RECTANGLE)
    'filledlefttribullet': '◀',  # BLACK LEFT-POINTING TRIANGLE)
    'filledrighttribullet': '▶',  # BLACK RIGHT-POINTING TRIANGLE)
    'emfilledcircle': '●',  # BLACK CIRCLE)
    'emfilledrect': '▮',  # BLACK VERTICAL RECTANGLE)
    'enopencircbullet': '◦',  # WHITE BULLET)
    'enopensquarebullet': '▫',  # WHITE SMALL SQUARE)
    'openrectbullet': '▭',  # WHITE RECTANGLE)
    'opentribulletup': '△',  # WHITE UP-POINTING TRIANGLE)
    'opentribulletdown': '▽',  # WHITE DOWN-POINTING TRIANGLE)
    'openstar': '☆',  # WHITE STAR)
    'enfilledcircbullet': '•',  # BULLET)
    'enfilledsqbullet': '▪',  # BLACK SMALL SQUARE)
    'filledtribulletup': '▲',  # BLACK UP-POINTING TRIANGLE)
    'filledtribulletdown': '▼',  # BLACK DOWN-POINTING TRIANGLE)
    'leftpointer': '☜',  # WHITE LEFT POINTING INDEX)
    'rightpointer': '☞',  # WHITE RIGHT POINTING INDEX)
    'club': '♣',  # BLACK CLUB SUIT
    'diamond': '♦',  # BLACK DIAMOND SUIT
    'heart': '♥',  # BLACK HEART SUIT
    'maltesecross': '✠',  # MALTESE CROSS
    'dagger': '†',  # DAGGER
    'doubledagger': '‡',  # DOUBLE DAGGER
    'checkmark': '✓',  # CHECK MARK
    'ballotcross': '✗',  # BALLOT X
    'musicalsharp': '♯',  # MUSIC SHARP SIGN
    'musicalflat': '♭',  # MUSIC FLAT SIGN
    'malesymbol': '♂',  # MALE SIGN
    'femalesymbol': '♀',  # FEMALE SIGN
    'telephone': '☎',  # BLACK TELEPHONE
    'telephonerecorder': '⌕',  # TELEPHONE RECORDER
    'phonographcopyright': '℗',  # SOUND RECORDING COPYRIGHT
    'caret': '‸',  # CARET
    'singlelowquotemark': '‚',  # SINGLE LOW-9 QUOTATION MARK
    'doublelowquotemark': '„',  # DOUBLE LOW-9 QUOTATION MARK
    'leftcaret': '<',  # LESS-THAN SIGN)
    'rightcaret': '>',  # GREATER-THAN SIGN)
    'downcaret': '∨',  # LOGICAL OR)
    'upcaret': '∧',  # LOGICAL AND)
    'overbar': '¯',  # MACRON)
    'downtack': '⊤',  # DOWN TACK
    'upshoe': '∩',  # INTERSECTION)
    'downstile': '⌊',  # LEFT FLOOR
    'underbar': '_',  # LOW LINE)
    'jot': '∘',  # RING OPERATOR
    'quad': '⎕',  # APL FUNCTIONAL SYMBOL QUAD
    'uptack': '⊥',  # UP TACK
    'circle': '○',  # WHITE CIRCLE
    'upstile': '⌈',  # LEFT CEILING
    'downshoe': '∪',  # UNION)
    'rightshoe': '⊃',  # SUPERSET OF)
    'leftshoe': '⊂',  # SUBSET OF)
    'lefttack': '⊣',  # LEFT TACK
    'righttack': '⊢',  # RIGHT TACK
    'hebrew_doublelowline': '‗',  # DOUBLE LOW LINE
    'hebrew_aleph': 'א',  # HEBREW LETTER ALEF
    'hebrew_bet': 'ב',  # HEBREW LETTER BET
    'hebrew_gimel': 'ג',  # HEBREW LETTER GIMEL
    'hebrew_dalet': 'ד',  # HEBREW LETTER DALET
    'hebrew_he': 'ה',  # HEBREW LETTER HE
    'hebrew_waw': 'ו',  # HEBREW LETTER VAV
    'hebrew_zain': 'ז',  # HEBREW LETTER ZAYIN
    'hebrew_chet': 'ח',  # HEBREW LETTER HET
    'hebrew_tet': 'ט',  # HEBREW LETTER TET
    'hebrew_yod': 'י',  # HEBREW LETTER YOD
    'hebrew_finalkaph': 'ך',  # HEBREW LETTER FINAL KAF
    'hebrew_kaph': 'כ',  # HEBREW LETTER KAF
    'hebrew_lamed': 'ל',  # HEBREW LETTER LAMED
    'hebrew_finalmem': 'ם',  # HEBREW LETTER FINAL MEM
    'hebrew_mem': 'מ',  # HEBREW LETTER MEM
    'hebrew_finalnun': 'ן',  # HEBREW LETTER FINAL NUN
    'hebrew_nun': 'נ',  # HEBREW LETTER NUN
    'hebrew_samech': 'ס',  # HEBREW LETTER SAMEKH
    'hebrew_ayin': 'ע',  # HEBREW LETTER AYIN
    'hebrew_finalpe': 'ף',  # HEBREW LETTER FINAL PE
    'hebrew_pe': 'פ',  # HEBREW LETTER PE
    'hebrew_finalzade': 'ץ',  # HEBREW LETTER FINAL TSADI
    'hebrew_zade': 'צ',  # HEBREW LETTER TSADI
    'hebrew_qoph': 'ק',  # HEBREW LETTER QOF
    'hebrew_resh': 'ר',  # HEBREW LETTER RESH
    'hebrew_shin': 'ש',  # HEBREW LETTER SHIN
    'hebrew_taw': 'ת',  # HEBREW LETTER TAV
    'Thai_kokai': 'ก',  # THAI CHARACTER KO KAI
    'Thai_khokhai': 'ข',  # THAI CHARACTER KHO KHAI
    'Thai_khokhuat': 'ฃ',  # THAI CHARACTER KHO KHUAT
    'Thai_khokhwai': 'ค',  # THAI CHARACTER KHO KHWAI
    'Thai_khokhon': 'ฅ',  # THAI CHARACTER KHO KHON
    'Thai_khorakhang': 'ฆ',  # THAI CHARACTER KHO RAKHANG
    'Thai_ngongu': 'ง',  # THAI CHARACTER NGO NGU
    'Thai_chochan': 'จ',  # THAI CHARACTER CHO CHAN
    'Thai_choching': 'ฉ',  # THAI CHARACTER CHO CHING
    'Thai_chochang': 'ช',  # THAI CHARACTER CHO CHANG
    'Thai_soso': 'ซ',  # THAI CHARACTER SO SO
    'Thai_chochoe': 'ฌ',  # THAI CHARACTER CHO CHOE
    'Thai_yoying': 'ญ',  # THAI CHARACTER YO YING
    'Thai_dochada': 'ฎ',  # THAI CHARACTER DO CHADA
    'Thai_topatak': 'ฏ',  # THAI CHARACTER TO PATAK
    'Thai_thothan': 'ฐ',  # THAI CHARACTER THO THAN
    'Thai_thonangmontho': 'ฑ',  # THAI CHARACTER THO NANGMONTHO
    'Thai_thophuthao': 'ฒ',  # THAI CHARACTER THO PHUTHAO
    'Thai_nonen': 'ณ',  # THAI CHARACTER NO NEN
    'Thai_dodek': 'ด',  # THAI CHARACTER DO DEK
    'Thai_totao': 'ต',  # THAI CHARACTER TO TAO
    'Thai_thothung': 'ถ',  # THAI CHARACTER THO THUNG
    'Thai_thothahan': 'ท',  # THAI CHARACTER THO THAHAN
    'Thai_thothong': 'ธ',  # THAI CHARACTER THO THONG
    'Thai_nonu': 'น',  # THAI CHARACTER NO NU
    'Thai_bobaimai': 'บ',  # THAI CHARACTER BO BAIMAI
    'Thai_popla': 'ป',  # THAI CHARACTER PO PLA
    'Thai_phophung': 'ผ',  # THAI CHARACTER PHO PHUNG
    'Thai_fofa': 'ฝ',  # THAI CHARACTER FO FA
    'Thai_phophan': 'พ',  # THAI CHARACTER PHO PHAN
    'Thai_fofan': 'ฟ',  # THAI CHARACTER FO FAN
    'Thai_phosamphao': 'ภ',  # THAI CHARACTER PHO SAMPHAO
    'Thai_moma': 'ม',  # THAI CHARACTER MO MA
    'Thai_yoyak': 'ย',  # THAI CHARACTER YO YAK
    'Thai_rorua': 'ร',  # THAI CHARACTER RO RUA
    'Thai_ru': 'ฤ',  # THAI CHARACTER RU
    'Thai_loling': 'ล',  # THAI CHARACTER LO LING
    'Thai_lu': 'ฦ',  # THAI CHARACTER LU
    'Thai_wowaen': 'ว',  # THAI CHARACTER WO WAEN
    'Thai_sosala': 'ศ',  # THAI CHARACTER SO SALA
    'Thai_sorusi': 'ษ',  # THAI CHARACTER SO RUSI
    'Thai_sosua': 'ส',  # THAI CHARACTER SO SUA
    'Thai_hohip': 'ห',  # THAI CHARACTER HO HIP
    'Thai_lochula': 'ฬ',  # THAI CHARACTER LO CHULA
    'Thai_oang': 'อ',  # THAI CHARACTER O ANG
    'Thai_honokhuk': 'ฮ',  # THAI CHARACTER HO NOKHUK
    'Thai_paiyannoi': 'ฯ',  # THAI CHARACTER PAIYANNOI
    'Thai_saraa': 'ะ',  # THAI CHARACTER SARA A
    'Thai_maihanakat': 'ั',  # THAI CHARACTER MAI HAN-AKAT
    'Thai_saraaa': 'า',  # THAI CHARACTER SARA AA
    'Thai_saraam': 'ำ',  # THAI CHARACTER SARA AM
    'Thai_sarai': 'ิ',  # THAI CHARACTER SARA I
    'Thai_saraii': 'ี',  # THAI CHARACTER SARA II
    'Thai_saraue': 'ึ',  # THAI CHARACTER SARA UE
    'Thai_sarauee': 'ื',  # THAI CHARACTER SARA UEE
    'Thai_sarau': 'ุ',  # THAI CHARACTER SARA U
    'Thai_sarauu': 'ู',  # THAI CHARACTER SARA UU
    'Thai_phinthu': 'ฺ',  # THAI CHARACTER PHINTHU
    'Thai_baht': '฿',  # THAI CURRENCY SYMBOL BAHT
    'Thai_sarae': 'เ',  # THAI CHARACTER SARA E
    'Thai_saraae': 'แ',  # THAI CHARACTER SARA AE
    'Thai_sarao': 'โ',  # THAI CHARACTER SARA O
    'Thai_saraaimaimuan': 'ใ',  # THAI CHARACTER SARA AI MAIMUAN
    'Thai_saraaimaimalai': 'ไ',  # THAI CHARACTER SARA AI MAIMALAI
    'Thai_lakkhangyao': 'ๅ',  # THAI CHARACTER LAKKHANGYAO
    'Thai_maiyamok': 'ๆ',  # THAI CHARACTER MAIYAMOK
    'Thai_maitaikhu': '็',  # THAI CHARACTER MAITAIKHU
    'Thai_maiek': '่',  # THAI CHARACTER MAI EK
    'Thai_maitho': '้',  # THAI CHARACTER MAI THO
    'Thai_maitri': '๊',  # THAI CHARACTER MAI TRI
    'Thai_maichattawa': '๋',  # THAI CHARACTER MAI CHATTAWA
    'Thai_thanthakhat': '์',  # THAI CHARACTER THANTHAKHAT
    'Thai_nikhahit': 'ํ',  # THAI CHARACTER NIKHAHIT
    'Thai_leksun': '๐',  # THAI DIGIT ZERO
    'Thai_leknung': '๑',  # THAI DIGIT ONE
    'Thai_leksong': '๒',  # THAI DIGIT TWO
    'Thai_leksam': '๓',  # THAI DIGIT THREE
    'Thai_leksi': '๔',  # THAI DIGIT FOUR
    'Thai_lekha': '๕',  # THAI DIGIT FIVE
    'Thai_lekhok': '๖',  # THAI DIGIT SIX
    'Thai_lekchet': '๗',  # THAI DIGIT SEVEN
    'Thai_lekpaet': '๘',  # THAI DIGIT EIGHT
    'Thai_lekkao': '๙',  # THAI DIGIT NINE
    'Korean_Won': '₩',  # WON SIGN)
    'Armenian_ligature_ew': 'և',  # ARMENIAN SMALL LIGATURE ECH YIWN
    'Armenian_full_stop': '։',  # ARMENIAN FULL STOP
    'Armenian_verjaket': '։',  # ARMENIAN FULL STOP
    'Armenian_separation_mark': '՝',  # ARMENIAN COMMA
    'Armenian_but': '՝',  # ARMENIAN COMMA
    'Armenian_hyphen': '֊',  # ARMENIAN HYPHEN
    'Armenian_yentamna': '֊',  # ARMENIAN HYPHEN
    'Armenian_exclam': '՜',  # ARMENIAN EXCLAMATION MARK
    'Armenian_amanak': '՜',  # ARMENIAN EXCLAMATION MARK
    'Armenian_accent': '՛',  # ARMENIAN EMPHASIS MARK
    'Armenian_shesht': '՛',  # ARMENIAN EMPHASIS MARK
    'Armenian_question': '՞',  # ARMENIAN QUESTION MARK
    'Armenian_paruyk': '՞',  # ARMENIAN QUESTION MARK
    'Armenian_AYB': 'Ա',  # ARMENIAN CAPITAL LETTER AYB
    'Armenian_ayb': 'ա',  # ARMENIAN SMALL LETTER AYB
    'Armenian_BEN': 'Բ',  # ARMENIAN CAPITAL LETTER BEN
    'Armenian_ben': 'բ',  # ARMENIAN SMALL LETTER BEN
    'Armenian_GIM': 'Գ',  # ARMENIAN CAPITAL LETTER GIM
    'Armenian_gim': 'գ',  # ARMENIAN SMALL LETTER GIM
    'Armenian_DA': 'Դ',  # ARMENIAN CAPITAL LETTER DA
    'Armenian_da': 'դ',  # ARMENIAN SMALL LETTER DA
    'Armenian_YECH': 'Ե',  # ARMENIAN CAPITAL LETTER ECH
    'Armenian_yech': 'ե',  # ARMENIAN SMALL LETTER ECH
    'Armenian_ZA': 'Զ',  # ARMENIAN CAPITAL LETTER ZA
    'Armenian_za': 'զ',  # ARMENIAN SMALL LETTER ZA
    'Armenian_E': 'Է',  # ARMENIAN CAPITAL LETTER EH
    'Armenian_e': 'է',  # ARMENIAN SMALL LETTER EH
    'Armenian_AT': 'Ը',  # ARMENIAN CAPITAL LETTER ET
    'Armenian_at': 'ը',  # ARMENIAN SMALL LETTER ET
    'Armenian_TO': 'Թ',  # ARMENIAN CAPITAL LETTER TO
    'Armenian_to': 'թ',  # ARMENIAN SMALL LETTER TO
    'Armenian_ZHE': 'Ժ',  # ARMENIAN CAPITAL LETTER ZHE
    'Armenian_zhe': 'ժ',  # ARMENIAN SMALL LETTER ZHE
    'Armenian_INI': 'Ի',  # ARMENIAN CAPITAL LETTER INI
    'Armenian_ini': 'ի',  # ARMENIAN SMALL LETTER INI
    'Armenian_LYUN': 'Լ',  # ARMENIAN CAPITAL LETTER LIWN
    'Armenian_lyun': 'լ',  # ARMENIAN SMALL LETTER LIWN
    'Armenian_KHE': 'Խ',  # ARMENIAN CAPITAL LETTER XEH
    'Armenian_khe': 'խ',  # ARMENIAN SMALL LETTER XEH
    'Armenian_TSA': 'Ծ',  # ARMENIAN CAPITAL LETTER CA
    'Armenian_tsa': 'ծ',  # ARMENIAN SMALL LETTER CA
    'Armenian_KEN': 'Կ',  # ARMENIAN CAPITAL LETTER KEN
    'Armenian_ken': 'կ',  # ARMENIAN SMALL LETTER KEN
    'Armenian_HO': 'Հ',  # ARMENIAN CAPITAL LETTER HO
    'Armenian_ho': 'հ',  # ARMENIAN SMALL LETTER HO
    'Armenian_DZA': 'Ձ',  # ARMENIAN CAPITAL LETTER JA
    'Armenian_dza': 'ձ',  # ARMENIAN SMALL LETTER JA
    'Armenian_GHAT': 'Ղ',  # ARMENIAN CAPITAL LETTER GHAD
    'Armenian_ghat': 'ղ',  # ARMENIAN SMALL LETTER GHAD
    'Armenian_TCHE': 'Ճ',  # ARMENIAN CAPITAL LETTER CHEH
    'Armenian_tche': 'ճ',  # ARMENIAN SMALL LETTER CHEH
    'Armenian_MEN': 'Մ',  # ARMENIAN CAPITAL LETTER MEN
    'Armenian_men': 'մ',  # ARMENIAN SMALL LETTER MEN
    'Armenian_HI': 'Յ',  # ARMENIAN CAPITAL LETTER YI
    'Armenian_hi': 'յ',  # ARMENIAN SMALL LETTER YI
    'Armenian_NU': 'Ն',  # ARMENIAN CAPITAL LETTER NOW
    'Armenian_nu': 'ն',  # ARMENIAN SMALL LETTER NOW
    'Armenian_SHA': 'Շ',  # ARMENIAN CAPITAL LETTER SHA
    'Armenian_sha': 'շ',  # ARMENIAN SMALL LETTER SHA
    'Armenian_VO': 'Ո',  # ARMENIAN CAPITAL LETTER VO
    'Armenian_vo': 'ո',  # ARMENIAN SMALL LETTER VO
    'Armenian_CHA': 'Չ',  # ARMENIAN CAPITAL LETTER CHA
    'Armenian_cha': 'չ',  # ARMENIAN SMALL LETTER CHA
    'Armenian_PE': 'Պ',  # ARMENIAN CAPITAL LETTER PEH
    'Armenian_pe': 'պ',  # ARMENIAN SMALL LETTER PEH
    'Armenian_JE': 'Ջ',  # ARMENIAN CAPITAL LETTER JHEH
    'Armenian_je': 'ջ',  # ARMENIAN SMALL LETTER JHEH
    'Armenian_RA': 'Ռ',  # ARMENIAN CAPITAL LETTER RA
    'Armenian_ra': 'ռ',  # ARMENIAN SMALL LETTER RA
    'Armenian_SE': 'Ս',  # ARMENIAN CAPITAL LETTER SEH
    'Armenian_se': 'ս',  # ARMENIAN SMALL LETTER SEH
    'Armenian_VEV': 'Վ',  # ARMENIAN CAPITAL LETTER VEW
    'Armenian_vev': 'վ',  # ARMENIAN SMALL LETTER VEW
    'Armenian_TYUN': 'Տ',  # ARMENIAN CAPITAL LETTER TIWN
    'Armenian_tyun': 'տ',  # ARMENIAN SMALL LETTER TIWN
    'Armenian_RE': 'Ր',  # ARMENIAN CAPITAL LETTER REH
    'Armenian_re': 'ր',  # ARMENIAN SMALL LETTER REH
    'Armenian_TSO': 'Ց',  # ARMENIAN CAPITAL LETTER CO
    'Armenian_tso': 'ց',  # ARMENIAN SMALL LETTER CO
    'Armenian_VYUN': 'Ւ',  # ARMENIAN CAPITAL LETTER YIWN
    'Armenian_vyun': 'ւ',  # ARMENIAN SMALL LETTER YIWN
    'Armenian_PYUR': 'Փ',  # ARMENIAN CAPITAL LETTER PIWR
    'Armenian_pyur': 'փ',  # ARMENIAN SMALL LETTER PIWR
    'Armenian_KE': 'Ք',  # ARMENIAN CAPITAL LETTER KEH
    'Armenian_ke': 'ք',  # ARMENIAN SMALL LETTER KEH
    'Armenian_O': 'Օ',  # ARMENIAN CAPITAL LETTER OH
    'Armenian_o': 'օ',  # ARMENIAN SMALL LETTER OH
    'Armenian_FE': 'Ֆ',  # ARMENIAN CAPITAL LETTER FEH
    'Armenian_fe': 'ֆ',  # ARMENIAN SMALL LETTER FEH
    'Armenian_apostrophe': '՚',  # ARMENIAN APOSTROPHE
    'Georgian_an': 'ა',  # GEORGIAN LETTER AN
    'Georgian_ban': 'ბ',  # GEORGIAN LETTER BAN
    'Georgian_gan': 'გ',  # GEORGIAN LETTER GAN
    'Georgian_don': 'დ',  # GEORGIAN LETTER DON
    'Georgian_en': 'ე',  # GEORGIAN LETTER EN
    'Georgian_vin': 'ვ',  # GEORGIAN LETTER VIN
    'Georgian_zen': 'ზ',  # GEORGIAN LETTER ZEN
    'Georgian_tan': 'თ',  # GEORGIAN LETTER TAN
    'Georgian_in': 'ი',  # GEORGIAN LETTER IN
    'Georgian_kan': 'კ',  # GEORGIAN LETTER KAN
    'Georgian_las': 'ლ',  # GEORGIAN LETTER LAS
    'Georgian_man': 'მ',  # GEORGIAN LETTER MAN
    'Georgian_nar': 'ნ',  # GEORGIAN LETTER NAR
    'Georgian_on': 'ო',  # GEORGIAN LETTER ON
    'Georgian_par': 'პ',  # GEORGIAN LETTER PAR
    'Georgian_zhar': 'ჟ',  # GEORGIAN LETTER ZHAR
    'Georgian_rae': 'რ',  # GEORGIAN LETTER RAE
    'Georgian_san': 'ს',  # GEORGIAN LETTER SAN
    'Georgian_tar': 'ტ',  # GEORGIAN LETTER TAR
    'Georgian_un': 'უ',  # GEORGIAN LETTER UN
    'Georgian_phar': 'ფ',  # GEORGIAN LETTER PHAR
    'Georgian_khar': 'ქ',  # GEORGIAN LETTER KHAR
    'Georgian_ghan': 'ღ',  # GEORGIAN LETTER GHAN
    'Georgian_qar': 'ყ',  # GEORGIAN LETTER QAR
    'Georgian_shin': 'შ',  # GEORGIAN LETTER SHIN
    'Georgian_chin': 'ჩ',  # GEORGIAN LETTER CHIN
    'Georgian_can': 'ც',  # GEORGIAN LETTER CAN
    'Georgian_jil': 'ძ',  # GEORGIAN LETTER JIL
    'Georgian_cil': 'წ',  # GEORGIAN LETTER CIL
    'Georgian_char': 'ჭ',  # GEORGIAN LETTER CHAR
    'Georgian_xan': 'ხ',  # GEORGIAN LETTER XAN
    'Georgian_jhan': 'ჯ',  # GEORGIAN LETTER JHAN
    'Georgian_hae': 'ჰ',  # GEORGIAN LETTER HAE
    'Georgian_he': 'ჱ',  # GEORGIAN LETTER HE
    'Georgian_hie': 'ჲ',  # GEORGIAN LETTER HIE
    'Georgian_we': 'ჳ',  # GEORGIAN LETTER WE
    'Georgian_har': 'ჴ',  # GEORGIAN LETTER HAR
    'Georgian_hoe': 'ჵ',  # GEORGIAN LETTER HOE
    'Georgian_fi': 'ჶ',  # GEORGIAN LETTER FI
    'Xabovedot': 'Ẋ',  # LATIN CAPITAL LETTER X WITH DOT ABOVE
    'Ibreve': 'Ĭ',  # LATIN CAPITAL LETTER I WITH BREVE
    'Zstroke': 'Ƶ',  # LATIN CAPITAL LETTER Z WITH STROKE
    'Gcaron': 'Ǧ',  # LATIN CAPITAL LETTER G WITH CARON
    'Ocaron': 'Ǒ',  # LATIN CAPITAL LETTER O WITH CARON
    'Obarred': 'Ɵ',  # LATIN CAPITAL LETTER O WITH MIDDLE TILDE
    'xabovedot': 'ẋ',  # LATIN SMALL LETTER X WITH DOT ABOVE
    'ibreve': 'ĭ',  # LATIN SMALL LETTER I WITH BREVE
    'zstroke': 'ƶ',  # LATIN SMALL LETTER Z WITH STROKE
    'gcaron': 'ǧ',  # LATIN SMALL LETTER G WITH CARON
    'ocaron': 'ǒ',  # LATIN SMALL LETTER O WITH CARON
    'obarred': 'ɵ',  # LATIN SMALL LETTER BARRED O
    'SCHWA': 'Ə',  # LATIN CAPITAL LETTER SCHWA
    'schwa': 'ə',  # LATIN SMALL LETTER SCHWA
    'EZH': 'Ʒ',  # LATIN CAPITAL LETTER EZH
    'ezh': 'ʒ',  # LATIN SMALL LETTER EZH
    'Lbelowdot': 'Ḷ',  # LATIN CAPITAL LETTER L WITH DOT BELOW
    'lbelowdot': 'ḷ',  # LATIN SMALL LETTER L WITH DOT BELOW
    'Abelowdot': 'Ạ',  # LATIN CAPITAL LETTER A WITH DOT BELOW
    'abelowdot': 'ạ',  # LATIN SMALL LETTER A WITH DOT BELOW
    'Ahook': 'Ả',  # LATIN CAPITAL LETTER A WITH HOOK ABOVE
    'ahook': 'ả',  # LATIN SMALL LETTER A WITH HOOK ABOVE
    'Acircumflexacute': 'Ấ',  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE
    'acircumflexacute': 'ấ',  # LATIN SMALL LETTER A WITH CIRCUMFLEX AND ACUTE
    'Acircumflexgrave': 'Ầ',  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE
    'acircumflexgrave': 'ầ',  # LATIN SMALL LETTER A WITH CIRCUMFLEX AND GRAVE
    'Acircumflexhook': 'Ẩ',  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
    'acircumflexhook': 'ẩ',  # LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
    'Acircumflextilde': 'Ẫ',  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE
    'acircumflextilde': 'ẫ',  # LATIN SMALL LETTER A WITH CIRCUMFLEX AND TILDE
    'Acircumflexbelowdot': 'Ậ',  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW
    'acircumflexbelowdot': 'ậ',  # LATIN SMALL LETTER A WITH CIRCUMFLEX AND DOT BELOW
    'Abreveacute': 'Ắ',  # LATIN CAPITAL LETTER A WITH BREVE AND ACUTE
    'abreveacute': 'ắ',  # LATIN SMALL LETTER A WITH BREVE AND ACUTE
    'Abrevegrave': 'Ằ',  # LATIN CAPITAL LETTER A WITH BREVE AND GRAVE
    'abrevegrave': 'ằ',  # LATIN SMALL LETTER A WITH BREVE AND GRAVE
    'Abrevehook': 'Ẳ',  # LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE
    'abrevehook': 'ẳ',  # LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE
    'Abrevetilde': 'Ẵ',  # LATIN CAPITAL LETTER A WITH BREVE AND TILDE
    'abrevetilde': 'ẵ',  # LATIN SMALL LETTER A WITH BREVE AND TILDE
    'Abrevebelowdot': 'Ặ',  # LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW
    'abrevebelowdot': 'ặ',  # LATIN SMALL LETTER A WITH BREVE AND DOT BELOW
    'Ebelowdot': 'Ẹ',  # LATIN CAPITAL LETTER E WITH DOT BELOW
    'ebelowdot': 'ẹ',  # LATIN SMALL LETTER E WITH DOT BELOW
    'Ehook': 'Ẻ',  # LATIN CAPITAL LETTER E WITH HOOK ABOVE
    'ehook': 'ẻ',  # LATIN SMALL LETTER E WITH HOOK ABOVE
    'Etilde': 'Ẽ',  # LATIN CAPITAL LETTER E WITH TILDE
    'etilde': 'ẽ',  # LATIN SMALL LETTER E WITH TILDE
    'Ecircumflexacute': 'Ế',  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE
    'ecircumflexacute': 'ế',  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND ACUTE
    'Ecircumflexgrave': 'Ề',  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE
    'ecircumflexgrave': 'ề',  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND GRAVE
    'Ecircumflexhook': 'Ể',  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
    'ecircumflexhook': 'ể',  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
    'Ecircumflextilde': 'Ễ',  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE
    'ecircumflextilde': 'ễ',  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND TILDE
    'Ecircumflexbelowdot': 'Ệ',  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW
    'ecircumflexbelowdot': 'ệ',  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND DOT BELOW
    'Ihook': 'Ỉ',  # LATIN CAPITAL LETTER I WITH HOOK ABOVE
    'ihook': 'ỉ',  # LATIN SMALL LETTER I WITH HOOK ABOVE
    'Ibelowdot': 'Ị',  # LATIN CAPITAL LETTER I WITH DOT BELOW
    'ibelowdot': 'ị',  # LATIN SMALL LETTER I WITH DOT BELOW
    'Obelowdot': 'Ọ',  # LATIN CAPITAL LETTER O WITH DOT BELOW
    'obelowdot': 'ọ',  # LATIN SMALL LETTER O WITH DOT BELOW
    'Ohook': 'Ỏ',  # LATIN CAPITAL LETTER O WITH HOOK ABOVE
    'ohook': 'ỏ',  # LATIN SMALL LETTER O WITH HOOK ABOVE
    'Ocircumflexacute': 'Ố',  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE
    'ocircumflexacute': 'ố',  # LATIN SMALL LETTER O WITH CIRCUMFLEX AND ACUTE
    'Ocircumflexgrave': 'Ồ',  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE
    'ocircumflexgrave': 'ồ',  # LATIN SMALL LETTER O WITH CIRCUMFLEX AND GRAVE
    'Ocircumflexhook': 'Ổ',  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
    'ocircumflexhook': 'ổ',  # LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
    'Ocircumflextilde': 'Ỗ',  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE
    'ocircumflextilde': 'ỗ',  # LATIN SMALL LETTER O WITH CIRCUMFLEX AND TILDE
    'Ocircumflexbelowdot': 'Ộ',  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW
    'ocircumflexbelowdot': 'ộ',  # LATIN SMALL LETTER O WITH CIRCUMFLEX AND DOT BELOW
    'Ohornacute': 'Ớ',  # LATIN CAPITAL LETTER O WITH HORN AND ACUTE
    'ohornacute': 'ớ',  # LATIN SMALL LETTER O WITH HORN AND ACUTE
    'Ohorngrave': 'Ờ',  # LATIN CAPITAL LETTER O WITH HORN AND GRAVE
    'ohorngrave': 'ờ',  # LATIN SMALL LETTER O WITH HORN AND GRAVE
    'Ohornhook': 'Ở',  # LATIN CAPITAL LETTER O WITH HORN AND HOOK ABOVE
    'ohornhook': 'ở',  # LATIN SMALL LETTER O WITH HORN AND HOOK ABOVE
    'Ohorntilde': 'Ỡ',  # LATIN CAPITAL LETTER O WITH HORN AND TILDE
    'ohorntilde': 'ỡ',  # LATIN SMALL LETTER O WITH HORN AND TILDE
    'Ohornbelowdot': 'Ợ',  # LATIN CAPITAL LETTER O WITH HORN AND DOT BELOW
    'ohornbelowdot': 'ợ',  # LATIN SMALL LETTER O WITH HORN AND DOT BELOW
    'Ubelowdot': 'Ụ',  # LATIN CAPITAL LETTER U WITH DOT BELOW
    'ubelowdot': 'ụ',  # LATIN SMALL LETTER U WITH DOT BELOW
    'Uhook': 'Ủ',  # LATIN CAPITAL LETTER U WITH HOOK ABOVE
    'uhook': 'ủ',  # LATIN SMALL LETTER U WITH HOOK ABOVE
    'Uhornacute': 'Ứ',  # LATIN CAPITAL LETTER U WITH HORN AND ACUTE
    'uhornacute': 'ứ',  # LATIN SMALL LETTER U WITH HORN AND ACUTE
    'Uhorngrave': 'Ừ',  # LATIN CAPITAL LETTER U WITH HORN AND GRAVE
    'uhorngrave': 'ừ',  # LATIN SMALL LETTER U WITH HORN AND GRAVE
    'Uhornhook': 'Ử',  # LATIN CAPITAL LETTER U WITH HORN AND HOOK ABOVE
    'uhornhook': 'ử',  # LATIN SMALL LETTER U WITH HORN AND HOOK ABOVE
    'Uhorntilde': 'Ữ',  # LATIN CAPITAL LETTER U WITH HORN AND TILDE
    'uhorntilde': 'ữ',  # LATIN SMALL LETTER U WITH HORN AND TILDE
    'Uhornbelowdot': 'Ự',  # LATIN CAPITAL LETTER U WITH HORN AND DOT BELOW
    'uhornbelowdot': 'ự',  # LATIN SMALL LETTER U WITH HORN AND DOT BELOW
    'Ybelowdot': 'Ỵ',  # LATIN CAPITAL LETTER Y WITH DOT BELOW
    'ybelowdot': 'ỵ',  # LATIN SMALL LETTER Y WITH DOT BELOW
    'Yhook': 'Ỷ',  # LATIN CAPITAL LETTER Y WITH HOOK ABOVE
    'yhook': 'ỷ',  # LATIN SMALL LETTER Y WITH HOOK ABOVE
    'Ytilde': 'Ỹ',  # LATIN CAPITAL LETTER Y WITH TILDE
    'ytilde': 'ỹ',  # LATIN SMALL LETTER Y WITH TILDE
    'Ohorn': 'Ơ',  # LATIN CAPITAL LETTER O WITH HORN
    'ohorn': 'ơ',  # LATIN SMALL LETTER O WITH HORN
    'Uhorn': 'Ư',  # LATIN CAPITAL LETTER U WITH HORN
    'uhorn': 'ư',  # LATIN SMALL LETTER U WITH HORN
    'EcuSign': '₠',  # EURO-CURRENCY SIGN
    'ColonSign': '₡',  # COLON SIGN
    'CruzeiroSign': '₢',  # CRUZEIRO SIGN
    'FFrancSign': '₣',  # FRENCH FRANC SIGN
    'LiraSign': '₤',  # LIRA SIGN
    'MillSign': '₥',  # MILL SIGN
    'NairaSign': '₦',  # NAIRA SIGN
    'PesetaSign': '₧',  # PESETA SIGN
    'RupeeSign': '₨',  # RUPEE SIGN
    'WonSign': '₩',  # WON SIGN
    'NewSheqelSign': '₪',  # NEW SHEQEL SIGN
    'DongSign': '₫',  # DONG SIGN
    'EuroSign': '€',  # EURO SIGN
    'zerosuperior': '⁰',  # SUPERSCRIPT ZERO
    'foursuperior': '⁴',  # SUPERSCRIPT FOUR
    'fivesuperior': '⁵',  # SUPERSCRIPT FIVE
    'sixsuperior': '⁶',  # SUPERSCRIPT SIX
    'sevensuperior': '⁷',  # SUPERSCRIPT SEVEN
    'eightsuperior': '⁸',  # SUPERSCRIPT EIGHT
    'ninesuperior': '⁹',  # SUPERSCRIPT NINE
    'zerosubscript': '₀',  # SUBSCRIPT ZERO
    'onesubscript': '₁',  # SUBSCRIPT ONE
    'twosubscript': '₂',  # SUBSCRIPT TWO
    'threesubscript': '₃',  # SUBSCRIPT THREE
    'foursubscript': '₄',  # SUBSCRIPT FOUR
    'fivesubscript': '₅',  # SUBSCRIPT FIVE
    'sixsubscript': '₆',  # SUBSCRIPT SIX
    'sevensubscript': '₇',  # SUBSCRIPT SEVEN
    'eightsubscript': '₈',  # SUBSCRIPT EIGHT
    'ninesubscript': '₉',  # SUBSCRIPT NINE
    'partdifferential': '∂',  # PARTIAL DIFFERENTIAL
    'emptyset': '∅',  # NULL SET
    'elementof': '∈',  # ELEMENT OF
    'notelementof': '∉',  # NOT AN ELEMENT OF
    'containsas': '∋',  # CONTAINS AS MEMBER
    'squareroot': '√',  # SQUARE ROOT
    'cuberoot': '∛',  # CUBE ROOT
    'fourthroot': '∜',  # FOURTH ROOT
    'dintegral': '∬',  # DOUBLE INTEGRAL
    'tintegral': '∭',  # TRIPLE INTEGRAL
    'because': '∵',  # BECAUSE
    'approxeq': '≅',  # ALMOST EQUAL TO
    'notapproxeq': '≇',  # NOT ALMOST EQUAL TO
    'notidentical': '≢',  # NOT IDENTICAL TO
    'stricteq': '≣',  # STRICTLY EQUIVALENT TO
    'braille_blank': '⠀',  # BRAILLE PATTERN BLANK
    'braille_dots_1': '⠁',  # BRAILLE PATTERN DOTS-1
    'braille_dots_2': '⠂',  # BRAILLE PATTERN DOTS-2
    'braille_dots_12': '⠃',  # BRAILLE PATTERN DOTS-12
    'braille_dots_3': '⠄',  # BRAILLE PATTERN DOTS-3
    'braille_dots_13': '⠅',  # BRAILLE PATTERN DOTS-13
    'braille_dots_23': '⠆',  # BRAILLE PATTERN DOTS-23
    'braille_dots_123': '⠇',  # BRAILLE PATTERN DOTS-123
    'braille_dots_4': '⠈',  # BRAILLE PATTERN DOTS-4
    'braille_dots_14': '⠉',  # BRAILLE PATTERN DOTS-14
    'braille_dots_24': '⠊',  # BRAILLE PATTERN DOTS-24
    'braille_dots_124': '⠋',  # BRAILLE PATTERN DOTS-124
    'braille_dots_34': '⠌',  # BRAILLE PATTERN DOTS-34
    'braille_dots_134': '⠍',  # BRAILLE PATTERN DOTS-134
    'braille_dots_234': '⠎',  # BRAILLE PATTERN DOTS-234
    'braille_dots_1234': '⠏',  # BRAILLE PATTERN DOTS-1234
    'braille_dots_5': '⠐',  # BRAILLE PATTERN DOTS-5
    'braille_dots_15': '⠑',  # BRAILLE PATTERN DOTS-15
    'braille_dots_25': '⠒',  # BRAILLE PATTERN DOTS-25
    'braille_dots_125': '⠓',  # BRAILLE PATTERN DOTS-125
    'braille_dots_35': '⠔',  # BRAILLE PATTERN DOTS-35
    'braille_dots_135': '⠕',  # BRAILLE PATTERN DOTS-135
    'braille_dots_235': '⠖',  # BRAILLE PATTERN DOTS-235
    'braille_dots_1235': '⠗',  # BRAILLE PATTERN DOTS-1235
    'braille_dots_45': '⠘',  # BRAILLE PATTERN DOTS-45
    'braille_dots_145': '⠙',  # BRAILLE PATTERN DOTS-145
    'braille_dots_245': '⠚',  # BRAILLE PATTERN DOTS-245
    'braille_dots_1245': '⠛',  # BRAILLE PATTERN DOTS-1245
    'braille_dots_345': '⠜',  # BRAILLE PATTERN DOTS-345
    'braille_dots_1345': '⠝',  # BRAILLE PATTERN DOTS-1345
    'braille_dots_2345': '⠞',  # BRAILLE PATTERN DOTS-2345
    'braille_dots_12345': '⠟',  # BRAILLE PATTERN DOTS-12345
    'braille_dots_6': '⠠',  # BRAILLE PATTERN DOTS-6
    'braille_dots_16': '⠡',  # BRAILLE PATTERN DOTS-16
    'braille_dots_26': '⠢',  # BRAILLE PATTERN DOTS-26
    'braille_dots_126': '⠣',  # BRAILLE PATTERN DOTS-126
    'braille_dots_36': '⠤',  # BRAILLE PATTERN DOTS-36
    'braille_dots_136': '⠥',  # BRAILLE PATTERN DOTS-136
    'braille_dots_236': '⠦',  # BRAILLE PATTERN DOTS-236
    'braille_dots_1236': '⠧',  # BRAILLE PATTERN DOTS-1236
    'braille_dots_46': '⠨',  # BRAILLE PATTERN DOTS-46
    'braille_dots_146': '⠩',  # BRAILLE PATTERN DOTS-146
    'braille_dots_246': '⠪',  # BRAILLE PATTERN DOTS-246
    'braille_dots_1246': '⠫',  # BRAILLE PATTERN DOTS-1246
    'braille_dots_346': '⠬',  # BRAILLE PATTERN DOTS-346
    'braille_dots_1346': '⠭',  # BRAILLE PATTERN DOTS-1346
    'braille_dots_2346': '⠮',  # BRAILLE PATTERN DOTS-2346
    'braille_dots_12346': '⠯',  # BRAILLE PATTERN DOTS-12346
    'braille_dots_56': '⠰',  # BRAILLE PATTERN DOTS-56
    'braille_dots_156': '⠱',  # BRAILLE PATTERN DOTS-156
    'braille_dots_256': '⠲',  # BRAILLE PATTERN DOTS-256
    'braille_dots_1256': '⠳',  # BRAILLE PATTERN DOTS-1256
    'braille_dots_356': '⠴',  # BRAILLE PATTERN DOTS-356
    'braille_dots_1356': '⠵',  # BRAILLE PATTERN DOTS-1356
    'braille_dots_2356': '⠶',  # BRAILLE PATTERN DOTS-2356
    'braille_dots_12356': '⠷',  # BRAILLE PATTERN DOTS-12356
    'braille_dots_456': '⠸',  # BRAILLE PATTERN DOTS-456
    'braille_dots_1456': '⠹',  # BRAILLE PATTERN DOTS-1456
    'braille_dots_2456': '⠺',  # BRAILLE PATTERN DOTS-2456
    'braille_dots_12456': '⠻',  # BRAILLE PATTERN DOTS-12456
    'braille_dots_3456': '⠼',  # BRAILLE PATTERN DOTS-3456
    'braille_dots_13456': '⠽',  # BRAILLE PATTERN DOTS-13456
    'braille_dots_23456': '⠾',  # BRAILLE PATTERN DOTS-23456
    'braille_dots_123456': '⠿',  # BRAILLE PATTERN DOTS-123456
    'braille_dots_7': '⡀',  # BRAILLE PATTERN DOTS-7
    'braille_dots_17': '⡁',  # BRAILLE PATTERN DOTS-17
    'braille_dots_27': '⡂',  # BRAILLE PATTERN DOTS-27
    'braille_dots_127': '⡃',  # BRAILLE PATTERN DOTS-127
    'braille_dots_37': '⡄',  # BRAILLE PATTERN DOTS-37
    'braille_dots_137': '⡅',  # BRAILLE PATTERN DOTS-137
    'braille_dots_237': '⡆',  # BRAILLE PATTERN DOTS-237
    'braille_dots_1237': '⡇',  # BRAILLE PATTERN DOTS-1237
    'braille_dots_47': '⡈',  # BRAILLE PATTERN DOTS-47
    'braille_dots_147': '⡉',  # BRAILLE PATTERN DOTS-147
    'braille_dots_247': '⡊',  # BRAILLE PATTERN DOTS-247
    'braille_dots_1247': '⡋',  # BRAILLE PATTERN DOTS-1247
    'braille_dots_347': '⡌',  # BRAILLE PATTERN DOTS-347
    'braille_dots_1347': '⡍',  # BRAILLE PATTERN DOTS-1347
    'braille_dots_2347': '⡎',  # BRAILLE PATTERN DOTS-2347
    'braille_dots_12347': '⡏',  # BRAILLE PATTERN DOTS-12347
    'braille_dots_57': '⡐',  # BRAILLE PATTERN DOTS-57
    'braille_dots_157': '⡑',  # BRAILLE PATTERN DOTS-157
    'braille_dots_257': '⡒',  # BRAILLE PATTERN DOTS-257
    'braille_dots_1257': '⡓',  # BRAILLE PATTERN DOTS-1257
    'braille_dots_357': '⡔',  # BRAILLE PATTERN DOTS-357
    'braille_dots_1357': '⡕',  # BRAILLE PATTERN DOTS-1357
    'braille_dots_2357': '⡖',  # BRAILLE PATTERN DOTS-2357
    'braille_dots_12357': '⡗',  # BRAILLE PATTERN DOTS-12357
    'braille_dots_457': '⡘',  # BRAILLE PATTERN DOTS-457
    'braille_dots_1457': '⡙',  # BRAILLE PATTERN DOTS-1457
    'braille_dots_2457': '⡚',  # BRAILLE PATTERN DOTS-2457
    'braille_dots_12457': '⡛',  # BRAILLE PATTERN DOTS-12457
    'braille_dots_3457': '⡜',  # BRAILLE PATTERN DOTS-3457
    'braille_dots_13457': '⡝',  # BRAILLE PATTERN DOTS-13457
    'braille_dots_23457': '⡞',  # BRAILLE PATTERN DOTS-23457
    'braille_dots_123457': '⡟',  # BRAILLE PATTERN DOTS-123457
    'braille_dots_67': '⡠',  # BRAILLE PATTERN DOTS-67
    'braille_dots_167': '⡡',  # BRAILLE PATTERN DOTS-167
    'braille_dots_267': '⡢',  # BRAILLE PATTERN DOTS-267
    'braille_dots_1267': '⡣',  # BRAILLE PATTERN DOTS-1267
    'braille_dots_367': '⡤',  # BRAILLE PATTERN DOTS-367
    'braille_dots_1367': '⡥',  # BRAILLE PATTERN DOTS-1367
    'braille_dots_2367': '⡦',  # BRAILLE PATTERN DOTS-2367
    'braille_dots_12367': '⡧',  # BRAILLE PATTERN DOTS-12367
    'braille_dots_467': '⡨',  # BRAILLE PATTERN DOTS-467
    'braille_dots_1467': '⡩',  # BRAILLE PATTERN DOTS-1467
    'braille_dots_2467': '⡪',  # BRAILLE PATTERN DOTS-2467
    'braille_dots_12467': '⡫',  # BRAILLE PATTERN DOTS-12467
    'braille_dots_3467': '⡬',  # BRAILLE PATTERN DOTS-3467
    'braille_dots_13467': '⡭',  # BRAILLE PATTERN DOTS-13467
    'braille_dots_23467': '⡮',  # BRAILLE PATTERN DOTS-23467
    'braille_dots_123467': '⡯',  # BRAILLE PATTERN DOTS-123467
    'braille_dots_567': '⡰',  # BRAILLE PATTERN DOTS-567
    'braille_dots_1567': '⡱',  # BRAILLE PATTERN DOTS-1567
    'braille_dots_2567': '⡲',  # BRAILLE PATTERN DOTS-2567
    'braille_dots_12567': '⡳',  # BRAILLE PATTERN DOTS-12567
    'braille_dots_3567': '⡴',  # BRAILLE PATTERN DOTS-3567
    'braille_dots_13567': '⡵',  # BRAILLE PATTERN DOTS-13567
    'braille_dots_23567': '⡶',  # BRAILLE PATTERN DOTS-23567
    'braille_dots_123567': '⡷',  # BRAILLE PATTERN DOTS-123567
    'braille_dots_4567': '⡸',  # BRAILLE PATTERN DOTS-4567
    'braille_dots_14567': '⡹',  # BRAILLE PATTERN DOTS-14567
    'braille_dots_24567': '⡺',  # BRAILLE PATTERN DOTS-24567
    'braille_dots_124567': '⡻',  # BRAILLE PATTERN DOTS-124567
    'braille_dots_34567': '⡼',  # BRAILLE PATTERN DOTS-34567
    'braille_dots_134567': '⡽',  # BRAILLE PATTERN DOTS-134567
    'braille_dots_234567': '⡾',  # BRAILLE PATTERN DOTS-234567
    'braille_dots_1234567': '⡿',  # BRAILLE PATTERN DOTS-1234567
    'braille_dots_8': '⢀',  # BRAILLE PATTERN DOTS-8
    'braille_dots_18': '⢁',  # BRAILLE PATTERN DOTS-18
    'braille_dots_28': '⢂',  # BRAILLE PATTERN DOTS-28
    'braille_dots_128': '⢃',  # BRAILLE PATTERN DOTS-128
    'braille_dots_38': '⢄',  # BRAILLE PATTERN DOTS-38
    'braille_dots_138': '⢅',  # BRAILLE PATTERN DOTS-138
    'braille_dots_238': '⢆',  # BRAILLE PATTERN DOTS-238
    'braille_dots_1238': '⢇',  # BRAILLE PATTERN DOTS-1238
    'braille_dots_48': '⢈',  # BRAILLE PATTERN DOTS-48
    'braille_dots_148': '⢉',  # BRAILLE PATTERN DOTS-148
    'braille_dots_248': '⢊',  # BRAILLE PATTERN DOTS-248
    'braille_dots_1248': '⢋',  # BRAILLE PATTERN DOTS-1248
    'braille_dots_348': '⢌',  # BRAILLE PATTERN DOTS-348
    'braille_dots_1348': '⢍',  # BRAILLE PATTERN DOTS-1348
    'braille_dots_2348': '⢎',  # BRAILLE PATTERN DOTS-2348
    'braille_dots_12348': '⢏',  # BRAILLE PATTERN DOTS-12348
    'braille_dots_58': '⢐',  # BRAILLE PATTERN DOTS-58
    'braille_dots_158': '⢑',  # BRAILLE PATTERN DOTS-158
    'braille_dots_258': '⢒',  # BRAILLE PATTERN DOTS-258
    'braille_dots_1258': '⢓',  # BRAILLE PATTERN DOTS-1258
    'braille_dots_358': '⢔',  # BRAILLE PATTERN DOTS-358
    'braille_dots_1358': '⢕',  # BRAILLE PATTERN DOTS-1358
    'braille_dots_2358': '⢖',  # BRAILLE PATTERN DOTS-2358
    'braille_dots_12358': '⢗',  # BRAILLE PATTERN DOTS-12358
    'braille_dots_458': '⢘',  # BRAILLE PATTERN DOTS-458
    'braille_dots_1458': '⢙',  # BRAILLE PATTERN DOTS-1458
    'braille_dots_2458': '⢚',  # BRAILLE PATTERN DOTS-2458
    'braille_dots_12458': '⢛',  # BRAILLE PATTERN DOTS-12458
    'braille_dots_3458': '⢜',  # BRAILLE PATTERN DOTS-3458
    'braille_dots_13458': '⢝',  # BRAILLE PATTERN DOTS-13458
    'braille_dots_23458': '⢞',  # BRAILLE PATTERN DOTS-23458
    'braille_dots_123458': '⢟',  # BRAILLE PATTERN DOTS-123458
    'braille_dots_68': '⢠',  # BRAILLE PATTERN DOTS-68
    'braille_dots_168': '⢡',  # BRAILLE PATTERN DOTS-168
    'braille_dots_268': '⢢',  # BRAILLE PATTERN DOTS-268
    'braille_dots_1268': '⢣',  # BRAILLE PATTERN DOTS-1268
    'braille_dots_368': '⢤',  # BRAILLE PATTERN DOTS-368
    'braille_dots_1368': '⢥',  # BRAILLE PATTERN DOTS-1368
    'braille_dots_2368': '⢦',  # BRAILLE PATTERN DOTS-2368
    'braille_dots_12368': '⢧',  # BRAILLE PATTERN DOTS-12368
    'braille_dots_468': '⢨',  # BRAILLE PATTERN DOTS-468
    'braille_dots_1468': '⢩',  # BRAILLE PATTERN DOTS-1468
    'braille_dots_2468': '⢪',  # BRAILLE PATTERN DOTS-2468
    'braille_dots_12468': '⢫',  # BRAILLE PATTERN DOTS-12468
    'braille_dots_3468': '⢬',  # BRAILLE PATTERN DOTS-3468
    'braille_dots_13468': '⢭',  # BRAILLE PATTERN DOTS-13468
    'braille_dots_23468': '⢮',  # BRAILLE PATTERN DOTS-23468
    'braille_dots_123468': '⢯',  # BRAILLE PATTERN DOTS-123468
    'braille_dots_568': '⢰',  # BRAILLE PATTERN DOTS-568
    'braille_dots_1568': '⢱',  # BRAILLE PATTERN DOTS-1568
    'braille_dots_2568': '⢲',  # BRAILLE PATTERN DOTS-2568
    'braille_dots_12568': '⢳',  # BRAILLE PATTERN DOTS-12568
    'braille_dots_3568': '⢴',  # BRAILLE PATTERN DOTS-3568
    'braille_dots_13568': '⢵',  # BRAILLE PATTERN DOTS-13568
    'braille_dots_23568': '⢶',  # BRAILLE PATTERN DOTS-23568
    'braille_dots_123568': '⢷',  # BRAILLE PATTERN DOTS-123568
    'braille_dots_4568': '⢸',  # BRAILLE PATTERN DOTS-4568
    'braille_dots_14568': '⢹',  # BRAILLE PATTERN DOTS-14568
    'braille_dots_24568': '⢺',  # BRAILLE PATTERN DOTS-24568
    'braille_dots_124568': '⢻',  # BRAILLE PATTERN DOTS-124568
    'braille_dots_34568': '⢼',  # BRAILLE PATTERN DOTS-34568
    'braille_dots_134568': '⢽',  # BRAILLE PATTERN DOTS-134568
    'braille_dots_234568': '⢾',  # BRAILLE PATTERN DOTS-234568
    'braille_dots_1234568': '⢿',  # BRAILLE PATTERN DOTS-1234568
    'braille_dots_78': '⣀',  # BRAILLE PATTERN DOTS-78
    'braille_dots_178': '⣁',  # BRAILLE PATTERN DOTS-178
    'braille_dots_278': '⣂',  # BRAILLE PATTERN DOTS-278
    'braille_dots_1278': '⣃',  # BRAILLE PATTERN DOTS-1278
    'braille_dots_378': '⣄',  # BRAILLE PATTERN DOTS-378
    'braille_dots_1378': '⣅',  # BRAILLE PATTERN DOTS-1378
    'braille_dots_2378': '⣆',  # BRAILLE PATTERN DOTS-2378
    'braille_dots_12378': '⣇',  # BRAILLE PATTERN DOTS-12378
    'braille_dots_478': '⣈',  # BRAILLE PATTERN DOTS-478
    'braille_dots_1478': '⣉',  # BRAILLE PATTERN DOTS-1478
    'braille_dots_2478': '⣊',  # BRAILLE PATTERN DOTS-2478
    'braille_dots_12478': '⣋',  # BRAILLE PATTERN DOTS-12478
    'braille_dots_3478': '⣌',  # BRAILLE PATTERN DOTS-3478
    'braille_dots_13478': '⣍',  # BRAILLE PATTERN DOTS-13478
    'braille_dots_23478': '⣎',  # BRAILLE PATTERN DOTS-23478
    'braille_dots_123478': '⣏',  # BRAILLE PATTERN DOTS-123478
    'braille_dots_578': '⣐',  # BRAILLE PATTERN DOTS-578
    'braille_dots_1578': '⣑',  # BRAILLE PATTERN DOTS-1578
    'braille_dots_2578': '⣒',  # BRAILLE PATTERN DOTS-2578
    'braille_dots_12578': '⣓',  # BRAILLE PATTERN DOTS-12578
    'braille_dots_3578': '⣔',  # BRAILLE PATTERN DOTS-3578
    'braille_dots_13578': '⣕',  # BRAILLE PATTERN DOTS-13578
    'braille_dots_23578': '⣖',  # BRAILLE PATTERN DOTS-23578
    'braille_dots_123578': '⣗',  # BRAILLE PATTERN DOTS-123578
    'braille_dots_4578': '⣘',  # BRAILLE PATTERN DOTS-4578
    'braille_dots_14578': '⣙',  # BRAILLE PATTERN DOTS-14578
    'braille_dots_24578': '⣚',  # BRAILLE PATTERN DOTS-24578
    'braille_dots_124578': '⣛',  # BRAILLE PATTERN DOTS-124578
    'braille_dots_34578': '⣜',  # BRAILLE PATTERN DOTS-34578
    'braille_dots_134578': '⣝',  # BRAILLE PATTERN DOTS-134578
    'braille_dots_234578': '⣞',  # BRAILLE PATTERN DOTS-234578
    'braille_dots_1234578': '⣟',  # BRAILLE PATTERN DOTS-1234578
    'braille_dots_678': '⣠',  # BRAILLE PATTERN DOTS-678
    'braille_dots_1678': '⣡',  # BRAILLE PATTERN DOTS-1678
    'braille_dots_2678': '⣢',  # BRAILLE PATTERN DOTS-2678
    'braille_dots_12678': '⣣',  # BRAILLE PATTERN DOTS-12678
    'braille_dots_3678': '⣤',  # BRAILLE PATTERN DOTS-3678
    'braille_dots_13678': '⣥',  # BRAILLE PATTERN DOTS-13678
    'braille_dots_23678': '⣦',  # BRAILLE PATTERN DOTS-23678
    'braille_dots_123678': '⣧',  # BRAILLE PATTERN DOTS-123678
    'braille_dots_4678': '⣨',  # BRAILLE PATTERN DOTS-4678
    'braille_dots_14678': '⣩',  # BRAILLE PATTERN DOTS-14678
    'braille_dots_24678': '⣪',  # BRAILLE PATTERN DOTS-24678
    'braille_dots_124678': '⣫',  # BRAILLE PATTERN DOTS-124678
    'braille_dots_34678': '⣬',  # BRAILLE PATTERN DOTS-34678
    'braille_dots_134678': '⣭',  # BRAILLE PATTERN DOTS-134678
    'braille_dots_234678': '⣮',  # BRAILLE PATTERN DOTS-234678
    'braille_dots_1234678': '⣯',  # BRAILLE PATTERN DOTS-1234678
    'braille_dots_5678': '⣰',  # BRAILLE PATTERN DOTS-5678
    'braille_dots_15678': '⣱',  # BRAILLE PATTERN DOTS-15678
    'braille_dots_25678': '⣲',  # BRAILLE PATTERN DOTS-25678
    'braille_dots_125678': '⣳',  # BRAILLE PATTERN DOTS-125678
    'braille_dots_35678': '⣴',  # BRAILLE PATTERN DOTS-35678
    'braille_dots_135678': '⣵',  # BRAILLE PATTERN DOTS-135678
    'braille_dots_235678': '⣶',  # BRAILLE PATTERN DOTS-235678
    'braille_dots_1235678': '⣷',  # BRAILLE PATTERN DOTS-1235678
    'braille_dots_45678': '⣸',  # BRAILLE PATTERN DOTS-45678
    'braille_dots_145678': '⣹',  # BRAILLE PATTERN DOTS-145678
    'braille_dots_245678': '⣺',  # BRAILLE PATTERN DOTS-245678
    'braille_dots_1245678': '⣻',  # BRAILLE PATTERN DOTS-1245678
    'braille_dots_345678': '⣼',  # BRAILLE PATTERN DOTS-345678
    'braille_dots_1345678': '⣽',  # BRAILLE PATTERN DOTS-1345678
    'braille_dots_2345678': '⣾',  # BRAILLE PATTERN DOTS-2345678
    'braille_dots_12345678': '⣿',  # BRAILLE PATTERN DOTS-12345678
    'Sinh_ng': 'ං',  # SINHALA ANUSVARAYA
    'Sinh_h2': 'ඃ',  # SINHALA VISARGAYA
    'Sinh_a': 'අ',  # SINHALA AYANNA
    'Sinh_aa': 'ආ',  # SINHALA AAYANNA
    'Sinh_ae': 'ඇ',  # SINHALA AEYANNA
    'Sinh_aee': 'ඈ',  # SINHALA AEEYANNA
    'Sinh_i': 'ඉ',  # SINHALA IYANNA
    'Sinh_ii': 'ඊ',  # SINHALA IIYANNA
    'Sinh_u': 'උ',  # SINHALA UYANNA
    'Sinh_uu': 'ඌ',  # SINHALA UUYANNA
    'Sinh_ri': 'ඍ',  # SINHALA IRUYANNA
    'Sinh_rii': 'ඎ',  # SINHALA IRUUYANNA
    'Sinh_lu': 'ඏ',  # SINHALA ILUYANNA
    'Sinh_luu': 'ඐ',  # SINHALA ILUUYANNA
    'Sinh_e': 'එ',  # SINHALA EYANNA
    'Sinh_ee': 'ඒ',  # SINHALA EEYANNA
    'Sinh_ai': 'ඓ',  # SINHALA AIYANNA
    'Sinh_o': 'ඔ',  # SINHALA OYANNA
    'Sinh_oo': 'ඕ',  # SINHALA OOYANNA
    'Sinh_au': 'ඖ',  # SINHALA AUYANNA
    'Sinh_ka': 'ක',  # SINHALA KAYANNA
    'Sinh_kha': 'ඛ',  # SINHALA MAHA. KAYANNA
    'Sinh_ga': 'ග',  # SINHALA GAYANNA
    'Sinh_gha': 'ඝ',  # SINHALA MAHA. GAYANNA
    'Sinh_ng2': 'ඞ',  # SINHALA KANTAJA NAASIKYAYA
    'Sinh_nga': 'ඟ',  # SINHALA SANYAKA GAYANNA
    'Sinh_ca': 'ච',  # SINHALA CAYANNA
    'Sinh_cha': 'ඡ',  # SINHALA MAHA. CAYANNA
    'Sinh_ja': 'ජ',  # SINHALA JAYANNA
    'Sinh_jha': 'ඣ',  # SINHALA MAHA. JAYANNA
    'Sinh_nya': 'ඤ',  # SINHALA TAALUJA NAASIKYAYA
    'Sinh_jnya': 'ඥ',  # SINHALA TAALUJA SANYOOGA NAASIKYAYA
    'Sinh_nja': 'ඦ',  # SINHALA SANYAKA JAYANNA
    'Sinh_tta': 'ට',  # SINHALA TTAYANNA
    'Sinh_ttha': 'ඨ',  # SINHALA MAHA. TTAYANNA
    'Sinh_dda': 'ඩ',  # SINHALA DDAYANNA
    'Sinh_ddha': 'ඪ',  # SINHALA MAHA. DDAYANNA
    'Sinh_nna': 'ණ',  # SINHALA MUURDHAJA NAYANNA
    'Sinh_ndda': 'ඬ',  # SINHALA SANYAKA DDAYANNA
    'Sinh_tha': 'ත',  # SINHALA TAYANNA
    'Sinh_thha': 'ථ',  # SINHALA MAHA. TAYANNA
    'Sinh_dha': 'ද',  # SINHALA DAYANNA
    'Sinh_dhha': 'ධ',  # SINHALA MAHA. DAYANNA
    'Sinh_na': 'න',  # SINHALA DANTAJA NAYANNA
    'Sinh_ndha': 'ඳ',  # SINHALA SANYAKA DAYANNA
    'Sinh_pa': 'ප',  # SINHALA PAYANNA
    'Sinh_pha': 'ඵ',  # SINHALA MAHA. PAYANNA
    'Sinh_ba': 'බ',  # SINHALA BAYANNA
    'Sinh_bha': 'භ',  # SINHALA MAHA. BAYANNA
    'Sinh_ma': 'ම',  # SINHALA MAYANNA
    'Sinh_mba': 'ඹ',  # SINHALA AMBA BAYANNA
    'Sinh_ya': 'ය',  # SINHALA YAYANNA
    'Sinh_ra': 'ර',  # SINHALA RAYANNA
    'Sinh_la': 'ල',  # SINHALA DANTAJA LAYANNA
    'Sinh_va': 'ව',  # SINHALA VAYANNA
    'Sinh_sha': 'ශ',  # SINHALA TAALUJA SAYANNA
    'Sinh_ssha': 'ෂ',  # SINHALA MUURDHAJA SAYANNA
    'Sinh_sa': 'ස',  # SINHALA DANTAJA SAYANNA
    'Sinh_ha': 'හ',  # SINHALA HAYANNA
    'Sinh_lla': 'ළ',  # SINHALA MUURDHAJA LAYANNA
    'Sinh_fa': 'ෆ',  # SINHALA FAYANNA
    'Sinh_al': '්',  # SINHALA AL-LAKUNA
    'Sinh_aa2': 'ා',  # SINHALA AELA-PILLA
    'Sinh_ae2': 'ැ',  # SINHALA AEDA-PILLA
    'Sinh_aee2': 'ෑ',  # SINHALA DIGA AEDA-PILLA
    'Sinh_i2': 'ි',  # SINHALA IS-PILLA
    'Sinh_ii2': 'ී',  # SINHALA DIGA IS-PILLA
    'Sinh_u2': 'ු',  # SINHALA PAA-PILLA
    'Sinh_uu2': 'ූ',  # SINHALA DIGA PAA-PILLA
    'Sinh_ru2': 'ෘ',  # SINHALA GAETTA-PILLA
    'Sinh_e2': 'ෙ',  # SINHALA KOMBUVA
    'Sinh_ee2': 'ේ',  # SINHALA DIGA KOMBUVA
    'Sinh_ai2': 'ෛ',  # SINHALA KOMBU DEKA
    'Sinh_o2': 'ො',  # SINHALA KOMBUVA HAA AELA-PILLA
    'Sinh_oo2': 'ෝ',  # SINHALA KOMBUVA HAA DIGA AELA-PILLA
    'Sinh_au2': 'ෞ',  # SINHALA KOMBUVA HAA GAYANUKITTA
    'Sinh_lu2': 'ෟ',  # SINHALA GAYANUKITTA
    'Sinh_ruu2': 'ෲ',  # SINHALA DIGA GAETTA-PILLA
    'Sinh_luu2': 'ෳ',  # SINHALA DIGA GAYANUKITTA
    'Sinh_kunddaliya': '෴',  # SINHALA KUNDDALIYA
}
